2026-01-06 Csaba Nemethi <csaba.nemethi@t-online.de>

	* Released Tablelist 7.9.

2025-12-10 Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 7.9.
	* COPYRIGHT.txt:
	* README.txt:

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* scripts/tablelistBind.tcl: The scrolling with the mouse wheel or
	  touchpad is now disabled while the menu of a (ttk::)menubutton or the
	  listbox component of a combobox used for interactive cell editing is
	  posted.

	* scripts/*.tcl:       Added the helper procedure
	* scripts/utils/*.tcl: "tablelist::getScalingPct"; the sizes of the GUI
	  components created by the packages Tablelist, themepatch, and wsb now
	  depend also on Tk's scaling factor given by [tk scaling].

	* scripts/tclIndex: Newly generated.

	* scripts/utils/wsb.tcl: The wide spinbox package wsb now highlights
	  the up and down arrows when they are in pressed state.

	* doc/tablelist.html: Updated the details regarding the value of
	  "tablelist::scalingpct" for GNOME on Wayland and KDE Plasma on
	  Wayland, to reflect the changes made in recent versions of these
	  desktops.

	* doc/embeddedWindows_tile.png: Updated screenshot.

	* ../../examples/images.tcl: Updated to use the new procedure
	  "tablelist::getScalingPct".

2025-10-22 Csaba Nemethi <csaba.nemethi@t-online.de>

	* Released Tablelist 7.8.

2025-10-16 Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 7.8.
	* COPYRIGHT.txt:
	* README.txt:

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* scripts/tablelistConfig.tcl: Added support for interactive cell
	* scripts/tablelistEdit.tcl:   editing with the aid of the
	  ttk::toggleswitch widget; improvements related to the interactive
	  cell editing with the aid of the Tk core checkbutton and
	  ttk::checkbutton widgets.

	* scripts/tclIndex: Newly generated.

	* scripts/utils/pkgIndex.tcl: Added the new wide spinbox package wsb,
	* scripts/utils/wsb.tcl:      which implements the Wide.TSpinbox layout
	  having scaling-aware up and down arrows of user-friendly size and
	  placement, which comes in handy especially when running AndroWish on
	  a tablet or smartphone.

	* doc/toggleswitch.png:    Added screenshots.
	* doc/ttk_checkbutton.png:
	* doc/wideSpinbox.png:

	* ../../examples/tablelist/tileWidgets2.tcl: Now uses the
	  ttk::toggleswitch rather than tsw::toggleswitch widget if available,
	  and also makes use of the wsb package.

2025-08-11 Csaba Nemethi <csaba.nemethi@t-online.de>

	* Released Tablelist 7.7.

2025-07-01 Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 7.7.
	* COPYRIGHT.txt:
	* README.txt:

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* scripts/tablelistEdit.tcl: Improved the interactive cell editing with
	  the aid of the toggleswitch widget.

	* scripts/tablelistThemes.tcl: Added explicit support for the "droid"
	* scripts/tablelistUtil.tcl:   theme; improvements related to the
	  themes provided by the awthemes package and the ones that are not
	  explicitly supported by Tablelist.

	* scripts/tclIndex: Newly generated.

	* ../../examples/tablelist/dirViewer*.tcl: Now work around the fact
	  that on Android the directory "/" is normally not readable.

2025-06-10 Csaba Nemethi <csaba.nemethi@t-online.de>

	* Released Tablelist 7.6.

2025-05-16 Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 7.6.
	* COPYRIGHT.txt:
	* README.txt:

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* scripts/*.tcl: Eliminated a few artifacts related to the
	  "showtargetmark" subcommand when using TkDND on Windows or macOS
	  Aqua; made sure that the "autoscrolltarget" subcommand works as
	  expected; made sure that in multi-line cell texts the substring "%W"
	  won't be substituted by the path name of the tablelist's body; the
	  implementation of the interactive cell editing with the aid of a
	  (ttk::)menubutton now takes into acount that in Tk 9 the menu index
	  "none" was replaced with the empty string.

	* scripts/utils/*.tcl: Extended the mwutil package.

	* doc/stylesheet.css: Extended the CSS stylesheet.

	* ../../examples/tablelist/*.tcl: Minor improvements related to
	  interactive cell editing.

2025-03-24 Csaba Nemethi <csaba.nemethi@t-online.de>

	* Released Tablelist 7.5.

2025-03-20 Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 7.5.
	* COPYRIGHT.txt:
	* README.txt:

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* scripts/*.tcl: Added support for interactive cell editing with the
	  aid of the new toggleswitch widget; improvements related to the use
	  of various system colors on aqua and win32; made the retrieval of the
	  row index corresponding to a given viewable row offset more robust;
	  fixed a bug related to the "-allowduplicates" column configuration
	  option and the "-forceeditendcommand" global option.

	* scripts/tclIndex: Newly generated.

	* scripts/utils/*.tcl: Extensions in the packages mwutil and scaleutil.

	* doc/tileWidgets2.png: Added screenshot.

	* ../../examples/tablelist/images.tcl:      Minor improvements.
	* ../../examples/tablelist/tileWidgets.tcl:

	* ../../examples/tablelist/tileWidgets2.tcl: Added demo script using
	  the new toggleswitch widget.

2024-12-03 Csaba Nemethi <csaba.nemethi@t-online.de>

	* Released Tablelist 7.4.1.

2024-12-03 Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:              Bumped the version number to 7.4.1.
	* COPYRIGHT.txt:
	* README.txt:
	* doc/tablelist.html:

	* CHANGES.txt: Updated to reflect the changes.

	* scripts/tablelistConfig.tcl: Eliminated a negative side effect of the
	  optimization of "cellconfigure -image|text" introduced in Tablelist
	  7.4, related to interactive cell editing.

2024-11-29 Csaba Nemethi <csaba.nemethi@t-online.de>

	* Released Tablelist 7.4.

2024-11-18 Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt:              Updated to reflect the changes.
	* doc/tablelist.html:
	* doc/tablelistWidget.html:

	* scripts/*.tcl: The "-text" option at row and cell levels, as well as
	  the "-image" cell configuraton option no longer perform a text/image
	  update if the new option value equals the old one; minor improvement
	  related to the "collapse" subcommand.

	* ../../examples/tablelist/dirViewer*.tcl: Now also demonstrate how the
	  virtual event <<TablelistYViewChanged>> can be used to embed images
	  into the items contained in the current view.

2024-10-19 Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 7.4.
	* COPYRIGHT.txt:
	* README.txt:

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* scripts/*.tcl: Made sure that the Migration Tool for Tcl 9 won't
	  output any warnings or notes; eliminated a potential error message
	  caused by the handling of <TouchpadScroll> events.

	* scripts/utils/*.tcl: Made sure that the Migration Tool for Tcl 9
	  won't output any warnings or notes; improvements in the themepatch
	  package.

	* scripts/utils/indicatorImgs/*.tcl: Improvements in the themepatch
	  package, regarding the "default" theme.

	* doc/*.png: Updated a series of screenshots.

	* ../../examples/tablelist/*.tcl: Made sure that the Migration Tool for
	  Tcl 9 won't output any warnings or notes.

2024-09-04 Csaba Nemethi <csaba.nemethi@t-online.de>

	* Released Tablelist 7.3.

2024-08-20 Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 7.3; restored the support
	* COPYRIGHT.txt: for Tcl/Tk 8.4.
	* README.txt:

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* scripts/*.tcl: Improved the performance of "cellconfigure ... -text";
	  guarded against the case that an embedded image was deleted; made
	  sure that the handling of the <TouchpadScroll> event won't polluate
	  the global namespace; adapted the handling of the <FocusIn> and
	  <FocusOut> events to recent changes made in Tk related to these
	  events and the detail field "NotifyInferior"; fixed a long-standing
	  bug related to the optimization of item insertion; restored the
	  support for Tcl/Tk 8.4.

	* scripts/utils/*.tcl: Restored the support for Tcl/Tk 8.4.

2024-05-15 Csaba Nemethi <csaba.nemethi@t-online.de>

	* Released Tablelist 7.2.

2024-05-14 Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt:                 Adapted the default value of the
	* scripts/tablelistThemes.tcl: "-selectborderwidth" option in
	  Tablelist_tile to recent changes in the "default" and "classic"
	  themes.

2024-05-11 Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt:                 Adapted the scaleutil package to the
	* tablelistCommon.tcl:         recent improvements in the "classic"
	* scripts/utils/pkgIndex.tcl:  theme by Emiliano Gavilan.
	* scripts/utils/scaleutil.tcl:

2024-05-07 Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt:                 Eliminated the temporary hang-ups
	* scripts/tablelistUtil.tcl:   experienced sporadically during
	* scripts/tablelistWidget.tcl: scrolling in the presence of many
	  embedded images (including tree indentations) or multi-line cells.

2024-04-23 Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 7.2.
	* COPYRIGHT.txt:
	* README.txt:

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* scripts/*.tcl: Added the virtual event <<TablelistCopyFinished>>;
	  added the "-aftercopycommand" configuration option; added the
	  "-allowduplicates" column configuration option; on the windowing
	  system "aqua" the termination of the editing with subsequent "fill
	  all" action is now bound to the <Control-Command-a> event; photo
	  image creation now always with explicitly specified "-format" option.

	* scripts/utils/*.tcl:		     Photo image creation now always
	* scripts/utils/indicatorImgs/*.tcl: with explicitly specified
	  "-format" option.

	* ../../examples/tablelist/*.tcl: Photo image creation now always with
	  explicitly specified "-format" option; demonstrate how to use the new
	  "-aftercopycommand" and "-allowduplicates" options; improved the
	  compatibility with Tcl 9.

2024-03-05 Csaba Nemethi <csaba.nemethi@t-online.de>

	* Released Tablelist 7.1.

2024-02-11 Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 7.1.
	* COPYRIGHT.txt:
	* README.txt:

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* scripts/*.tcl: The multi-line cell texts are now displayed vertically
	  centered within their rows; fixed a long-standing bug due to which
	  under some circumstances the default values of several configuration
	  options became theme-specific even if the tablelist package rather
	  than tablelist_tile was being used; fixed a long-standing bug related
	  to creating the expand/collapse control images when handling the
	  "-treestyle" option; guarded against destroying a tablelist widget in
	  which an interactive column resize or row/column move operation is in
	  progress; handled the extremely rare case that the frame widget to be
	  used as parent of the edit window already exists.

	* scripts/tclIndex: Newly generated.

	* scripts/utils/mwutil.tcl:   Fixed a typo in the file mwutil.tcl,
	* scripts/utils/pkgIndex.tcl: introduced in the previous release.

2023-12-27 Csaba Nemethi <csaba.nemethi@t-online.de>

	* Released Tablelist 7.0.

2023-12-07 Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt:              Added support for the new <TouchpadScroll>
	* scripts/*.tcl:            event.
	* doc/tablelistWidget.html:

2023-10-07 Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 7.0; dropped the support
	* COPYRIGHT.txt: for Tk versions earlier than 8.4.
	* README.txt:

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* scripts/*.tcl: Dropped the support for Tk versions earlier than 8.4;
	  for the selection type "cell", the F2 key now starts the interactive
	  editing of the active element; added explicit support for the themes
	  "black", "breeze", "breeze-dark", "sun-valley-light", and
	  "sun-valley-dark"; removed the now redundant script repair.tcl.

	* scripts/tclIndex: Newly generated.

	* scripts/utils/*.tcl:            Dropped the support for Tk versions
	* ../../examples/tablelist/*.tcl: earlier than 8.4; improved the
	  compatibility with Tcl 9.0 and Tk 8.7.

2023-07-03 Csaba Nemethi <csaba.nemethi@t-online.de>

	* Released Tablelist 6.22.

2023-06-28 Csaba Nemethi <csaba.nemethi@t-online.de>

	* tablelistCommon.tcl: For Tcl versions 8.4 and later replaced the
	  deprecated "trace variable" and "trace vdelete" invocations with
	  "trace add variable" and "trace remove variable", respectively;
	  bumped the version number to 6.22.

	* *.tcl:         Bumped the version number to 6.22.
	* COPYRIGHT.txt:
	* README.txt:

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* scripts/*.tcl: In the presence of SVG support, added the variable
	  "tablelist::svgfmt" and the arrow style "photo0x0"; removed the very
	  rarely needed arrow styles "flat6x4", "flat7x5", "flat9x6",
	  "flatAngle9x7", and "flatAngle10x7"; added the arrow styles
	  "flat10x5", "flat12x6", "flat14x7", and "flat16x8"; the default value
	  of the "-arrowstyle" option on X11 is now "photo0x0" if SVG is
	  supported, and one of "flat8x4", "flat10x5", "flat12x6", "flat14x7",
	  or "flat16x8" otherwise; in the presence of SVG support, added the
	  tree styles "plain", "bicolor", "white", and "classic"; the
	  temporarily or persistently embedded checkbuttons now use scaling-
	  aware SVG images; for Tcl versions 8.4 and later replaced the
	  deprecated "trace variable" and "trace vdelete" invocations with
	  "trace add variable" and "trace remove variable", respectively;
	  guarded against destroying a tablelist widget in which interactive
	  cell editing is in progress.

	* scripts/utils/*.tcl:               Various updates in the scaleutil,
	* scripts/utils/indicatorImgs/*.tcl: scaleutilmisc, and themepatch
	  packages, e.g., related to the BWidget SpinBox and ComboBox as well
	  as Iwidgets dateentry and timeentry widgets used for interactive cell
	  editing, and to patching the "default" theme.

	* doc/*.png: Updated a series of screenshots and added 4 new ones.

	* ../../examples/tablelist/*: In the presence of SVG support, the demo
	  scripts now use SVG images, and on X11 the demo scripts
	  "browseTree(_tile).tcl" and "dirViewer(_tile).tcl" now set the
	  "-treestyle" option to the SVG-based style "bicolor"; bumped the
	  version number to 6.22.

2023-03-20 Csaba Nemethi <csaba.nemethi@t-online.de>

	* Released Tablelist 6.21.

2023-03-18 Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/utils/mwutil.tcl: Procedure getAncestorByClass significantly
	  enhanced.

2023-03-16 Csaba Nemethi <csaba.nemethi@t-online.de>

	* tablelistCommon.tcl: Fixed a few bugs related to the comparison of
	  package versions; bumped the version number to 6.21; updated the
	  copyright information.

	* *.tcl:         Bumped the version number to 6.21; updated the
	* COPYRIGHT.txt: copyright information.
	* README.txt:

	* doc/tablelistThemes.html: Added the hint that with current
	  Tablelist_tile versions there is no need for invocations of the
	  tablelist::setThemeDefaults command in application code.

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* scripts/*.tcl: For the built-in themes "alt", "clam", "classic", and
	  "default", the "-stripebackground" option now has a nonempty theme-
	  specific default value; in disabled state, the "finishediting"
	  subcommand now returns immediately, without terminating the
	  interactive cell editing; improvements related to the appearance of
	  Tk core checkbutton widgets embedded into a header label or a cell
	  (temporarily or persistently); added support for the case that the
	  "alt" theme was modified by invoking the "themepatch::patch" command
	  of the themepatch package; fixed two bugs related to the
	  "embedcheckbutton(s)", "embedttkcheckbutton(s)", "header
	  embedcheckbutton(s)", and "header embedttkcheckbutton(s)"
	  subcommands; updated the copyright information.

	* scripts/utils/*.tcl:               Various extensions and updates in
	* scripts/utils/indicatorImgs/*.tcl: the mwutil and scaleutil packages;
	  added the themepatch package; updated the copyright information.

	* doc/*.png: Updated a few screenshots.

	* ../../examples/tablelist/*.tcl: The (ttk::)checkbutton embedded into
	  the header label of the column "available" of the tablelist widget
	  created by the demo-scripts for interactive cell editing now appears
	  in tri-state mode and is dynamically selected/deselected or set into
	  the tri-state mode; bumped the version number to 6.21; updated the
	  copyright information.

2022-10-24 Csaba Nemethi <csaba.nemethi@t-online.de>

	* Released Tablelist 6.20.

2022-10-22 Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt:               Renamed themepatch::(un)patchTheme to
	* scripts/tablelistUtil.tcl: themepatch::(un)patch.

2022-10-21 Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:                          Bumped the version number to 6.20.
	* COPYRIGHT.txt:
	* README.txt:
	* ../../examples/tablelist/*.tcl:

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* scripts/tablelistBind.tcl: The argument of the
	  "tablelist::getTablelistColumn" command now may also be the path name
	  of a Tk core or tile checkbutton embedded into a header label;
	  improvements related to moving a column interactively, especially on
	  Mac OS X/11+.

	* scripts/tablelistUtil.tcl: Redisplaying a column is no longer
	  suppressed if the column is hidden; restricted the workaround for a
	  crash on Mac OS X/11+ to the affected Tk releases 8.6.11, 8.6.12, and
	  8.7a5; added support for the case that the "default" theme was
	  modified by invoking the "themepatch::patchTheme" command of the
	  themepatch package (bundled with Scrollutil).

	* scripts/tablelistWidget.tcl: Added the "dumptostring" and
	  "loadfromstring" subcommands.

	* scripts/tclIndex: Newly generated.

2022-05-30 Csaba Nemethi <csaba.nemethi@t-online.de>

	* Released Tablelist 6.19.

2022-05-30 Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:                          Bumped the version number to 6.19.
	* COPYRIGHT.txt:
	* README.txt:
	* ../../examples/tablelist/*.tcl:

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* scripts/tablelistBind.tcl: Made sure that the workaround for the 
	  problem that in Tk 8.6.11 and later on Mac OS X/11+ the idle
	  callbacks are often fired at unexpected times won't lead to
	  invocations of callbacks for already destroyed tablelist widgets.

	* scripts/tablelistEdit.tcl: Moved part of the body of the doEditCell
	  proc into the new proc configAutoFinishEditing.

	* scripts/tablelistUtil.tcl: Fixed a bug related to making a hidden
	  column visible again.

	* scripts/tablelistWidget.tcl: The "get", "getcells", "getformatted",
	  "getformattedcells", "getfullkeys", and "getkeys" subcommands now
	  accept an optional argument with the possible values "-all",
	  "-nonhidden", and "-viewable"; if the tablelist widget has no columns
	  then the "deletecolumns" subcommand now returns immediately without
	  any further action, like checking the validity of the column indices.

	* scripts/tclIndex: Newly generated.

	* scripts/utils/pkgIndex.tcl:  Made the detection of the desktop
	* scripts/utils/scaleutil.tcl: environment when calculating the scaling
	  percentage corresponding to the display's DPI scaling level on X11
	  more reliable; removed the TEntry scaling for "vista" and "xpnative".

2022-03-22 Csaba Nemethi <csaba.nemethi@t-online.de>

	* Released Tablelist 6.18.

2022-03-13 Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:                          Bumped the version number to 6.18.
	* COPYRIGHT.txt:
	* README.txt:
	* ../../examples/tablelist/*.tcl:

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* scripts/*.tcl: Added support for the case that the "clam" theme was
	  modified by invoking the "clampatch::patchClamTheme" command of the
	  clampatch package (bundled with Scrollutil); when starting the
	  editing session, the "-exportselection" option of the tablelist
	  widget is now set to 0, and when the editing is finished or canceled,
	  the option's original value is restored; made sure that the
	  "-showeditcursor" configuration option will work as expected also in
	  the special case that the application was cross-wrapped on Linux for
	  Windows using freewrap; overhauled the workaround for the problem
	  that in Tk 8.6.11 and later on Mac OS X/11+ the idle callbacks are
	  often fired at unexpected times; fixed a bug related to the handling
	  of the <<ThemeChanged>> event when the package Tablelist rather than
	  Tablelist_tile was loaded into the interpreter; fixed a bug related
	  to the mouse event handling for the header labels in the special case
	  that there is another tablelist closely to the left of the widget in
	  question.

	* scripts/tclIndex: Newly generated.

	* scripts/utils/*.tcl:  Setting the default height of the ttk::treeview
	  rows to a value based on the font's metrics; extensions related to
	  the TSpinbox style; several further extensions and improvements.

2022-01-10 Csaba Nemethi <csaba.nemethi@t-online.de>

	* Released Tablelist 6.17.

2022-01-01 Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:                          Updated the copyright information.
	* COPYRIGHT.txt:
	* scripts/*.tcl:
	* scripts/utils/*.tcl:
	* ../../examples/tablelist/*.tcl:

2021-12-29 Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:                          Bumped the version number to 6.17.
	* COPYRIGHT.txt:
	* README.txt:
	* ../../examples/tablelist/*.tcl:

	* doc/tablelistWidget.html: Extended the descriptions of the
	  "-tooltipaddcommand" and "-tooltipdelcommand" options by hints
	  showing how to use these options with version 1.3+ of the baltip
	  package by Alex Plotnikov.

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* scripts/*.tcl: The virtual event <<TablelistCellUpdated>> is now only
	  generated if the editing session has effectively changed the cell's
	  content; worked around the problem that on Mac OS X/11+ the idle
	  callbacks are often fired at unexpected times; fixed a bug related to
	  the embedded ttk::checkbutton widgets when the package Tablelist
	  rather than Tablelist_tile was loaded into the interpreter.

2021-12-21 Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/utils/scaleutil.tcl: The scaleutil package now works "as is"
	  with undroidwish and AndroWish, too; added a way to prevent this
	  package from changing Tk's scaling factor when calculating the
	  scaling percentage corresponding to the display's DPI scaling level
	  on X11; fixed a bug related to setting the default height of the
	  ttk::treeview rows for one of the themes provided by the awthemes
	  package.

	* scripts/utils/pkgIndex.tcl: Bumped the scaleutil version to 1.7.

2021-11-11 Csaba Nemethi <csaba.nemethi@t-online.de>

	* Released Tablelist 6.16.

2021-11-10 Csaba Nemethi <csaba.nemethi@t-online.de>

	* doc/*.html: Updated.

2021-11-07 Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt:                 Updated the handling of the mouse wheel
	* scripts/tablelistBind.tcl:   events; changes related to TIP #577.
	* scripts/tablelistUtil.tcl:
	* scripts/tablelistWidget.tcl:
	* doc/tablelistWidget.html:

2021-10-31 Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:                          Bumped the version number to 6.16.
	* COPYRIGHT.txt:
	* README.txt:
	* ../../examples/tablelist/*.tcl:

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* scripts/*.tcl: Scaling the default vertical padding of the header
	  labels for the themes "clam", "vista", and "xpnative; extended the
	  "itemtodict" subcommand by an optional argument that specifies the
	  column indices of the elements that are to be ignored when building
	  the result dictionary; improvements related to the appearance of the
	  (temporarily or persistently) embedded ttk::checkbutton widgets;
	  fixed a bug related to the "cellbbox" subcommand.

	* scripts/tclIndex: Newly generated.

	* scripts/utils/pkgIndex.tcl:  Significantly extended the procedure
	* scripts/utils/scaleutil.tcl: "scaleutil::scalingPercentage" and
	  adapted to the changes made recently in the Tk library file
	  "ttk/fonts.tcl".

2021-09-13 Csaba Nemethi <csaba.nemethi@t-online.de>

	* Released Tablelist 6.15.1.

2021-09-12 Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:              Bumped the version number to 6.15.1.
	* COPYRIGHT.txt:
	* README.txt:
	* doc/index.html:
	* doc/tablelist.html:

	* CHANGES.txt: Updated to reflect the changes.

	* scripts/tablelistUtil.tcl: Guarded against potential endless loops,
	  triggered in the previous Tablelist release by the presence of hidden
	  columns and a strictly positive value of the "-titlecolumns" option.

2021-09-07 Csaba Nemethi <csaba.nemethi@t-online.de>

	* Released Tablelist 6.15.

2021-09-06 Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 6.15.
	* COPYRIGHT.txt:
	* README.txt:

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* scripts/*.tcl: Added the "dumptofile" and "loadfromfile" subcommands;
	  the "dicttoitem" subcommand now simply ignores those keys that are no
	  valid column indices; added binding for <<TkWorldChanged>> with %d
	  set to "FontChanged" (see TIP 608); adapted the sort rank bitmaps
	  used in multi-column sorting to the display's scaling percentage;
	  worked around a serious regression in Tk 8.6 regarding the text
	  widget's "see" subcommand; further code optimizations; fixed a bug
	  related to the "searchcolumn" subcommand with the "-descend" option,
	  which in addition no longer depends on the interpreter's recursion
	  limit; fixed some bugs related to the "deletecolumns" subcommand by
	  adapting its implementation to changes made in current Mac OS
	  versions.

	* scripts/tclIndex: Newly generated.

	* scripts/utils/pkgIndex.tcl:  Fixed a bug related to the supported
	* scripts/utils/scaleutil.tcl: scaling percentages on Windows.

	* ../../examples/tablelist/*.tcl: Bumped the version number to 6.15.

2021-05-28 Csaba Nemethi <csaba.nemethi@t-online.de>

	* Released Tablelist 6.14.

2021-05-15 Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/utils/scaleutil.tcl: Removed some holdovers from the previous
	  version, which are not compatible with the new one.

2021-05-14 Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 6.14.
	* COPYRIGHT.txt:
	* README.txt:

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* scripts/*.tcl: Added the "-labelwindow" column configuration option,
	  with the possible values "checkbutton" and "ttk::checkbutton"; added
	  the "labelwindowpath" subcommand; added the virtual event
	  <<TablelistActivate>>, generated whenever the active row or cell
	  changes due to user interaction; if the value of the "-titlecolums"
	  option is positive then <Shift-MouseWheel> now scrolls the tablelist
	  widget by one column only; the "-stretchwindow", "-windowdestroy",
	  and "-windowupdate" options are now supported at column level, too;
	  the "fillcolumn" and "header fillcolumn" subcommands now can embed an
	  image or window in all body/header cells of the specified column.

	* scripts/tclIndex: Newly generated.

	* scripts/utils/pkgIndex.tcl:  On X11 only correct the sizes of the
	* scripts/utils/scaleutil.tcl: standard fonts and set the scaling
	  factor if the display's scaling percentage is > 100; don't change the
	  scaling factor if the scaling percentage was derived from it.

	* doc/bwidget.png:     Updated screenshots.
	* doc/tileWidgets.png:

	* ../../examples/tablelist/*.tcl: Bumped the version number to 6.14;
	  the demo scripts "bwidget*.tcl", "iwidgets*.tcl", "miscWidgets*.tcl",
	  and "tileWidgets.tcl" now use the new "-labelwindow" column
	  configuration option and "labelwindowpath" subcommand; the demo
	  scripts "embeddedWindows*.tcl" now use the "-stretchwindow" option at
	  column level and embed the windows into the cells by means of the
	  "fillcolumn" subcommand.

2021-04-14 Csaba Nemethi <csaba.nemethi@t-online.de>

	* Released Tablelist 6.13.

2021-04-10 Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistWidget.tcl: Fixed a holdover from earlier versions.

2021-04-09 Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt:                              Reworked and extended the
	* scripts/tablelistThemes.tcl:              awthemes support.
	* scripts/tablelistUtil.tcl:
	* ../../examples/tablelist/tileWidgets.tcl:

	* scripts/tclIndex: Newly generated.

2021-04-08 Csaba Nemethi <csaba.nemethi@t-online.de>

	* tablelistCommon.tcl:         Various improvements, related mainly to
	* scripts/tablelistBind.tcl:   the awthemes support and macOS 11.
	* scripts/tablelistConfig.tcl:
	* scripts/tablelistThemes.tcl:
	* scripts/tablelistUtil.tcl:
	* scripts/tablelistWidget.tcl:
	* scripts/utils/mwutil.tcl:
	* scripts/utils/pkgIndex.tcl:

2021-04-06 Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt:                              Added support for the
	* scripts/tablelistThemes.tcl:              "awbreezedark" theme.
	* doc/tablelist.html:
	* doc/tablelistWidget.html:
	* ../../examples/tablelist/config_tile.tcl:
	* ../../examples/tablelist/option_tile.tcl:

	* scripts/tablelistEdit.tcl: Improved the editing with the aid of a
	  ttk::menubutton widget.

	* scripts/tclIndex: Newly generated.

2021-04-03 Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt:                 Big Sur support slightly improved.
	* scripts/tablelistConfig.tcl:
	* scripts/tablelistThemes.tcl:

2021-04-02 Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 6.13.
	* COPYRIGHT.txt:
	* README.txt:

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* scripts/*.tcl: The "expand(all)" and "collapse(all)" subcommands no
	  longer depend on the interpreter's recursion limit; drastically
	  reduced the memory consumption of tablelist widgets displaying a
	  deeply nested tree structure and significantly improved their
	  performance; added the tree style "aqua11", which is now the default
	  on macOS 11; fixed a bug related to the interactive row move
	  operation.

	* scripts/tclIndex: Newly generated.

	* scripts/utils/pkgIndex.tcl:  Fixed a bug related to font scaling on
	* scripts/utils/scaleutil.tcl: X11.

	* doc/aqua11.png: Added screenshot.

	* doc/aqua.png: Updated screenshot.

	* ../../examples/tablelist/*.tcl: Improvements in the demo scripts.

2021-02-03 Csaba Nemethi <csaba.nemethi@t-online.de>

	* Released Tablelist 6.12.

2021-02-02 Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt:                 Renamed "-editendonmodifclick" to
	* scripts/tablelistBind.tcl:   "-editendonmodclick".
	* scripts/tablelistConfig.tcl:
	* scripts/tablelistWidget.tcl:
	* doc/tablelistWidget.html:

2021-02-02 Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt:                 Added the "-editendonmodifclick"
	* scripts/tablelistBind.tcl:   configuration option; improvements
	* scripts/tablelistConfig.tcl: related to the termination of
	* scripts/tablelistEdit.tcl:   interactive cell editing.
	* scripts/tablelistWidget.tcl:
	* doc/tablelistWidget.html:

2021-02-01 Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:                          Bumped the version number to 6.12;
	* COPYRIGHT.txt:                  updated the copyright information.
	* README.txt:
	* ../../examples/tablelist/*.tcl:

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* scripts/*.tcl:            Added support for the platform-independent
	* scripts/utils/mwutil.tcl: handling of mouse wheel events (TIP 474);
	  added the "-editendonfocusout" and "-itembackground" configuration
	  options; added the "autoscrolltarget" and "stopautoscroll"
	  subcommands; fixed a few long-standing issues related to the "yview"
	  subcommand; updated the copyright information.

	* scripts/tclIndex: Newly generated.

	* scripts/utils/*.tcl: Improved the font scaling on X11 in the calendar
	  component of an iwidgets::dateentry widget used for interactive cell
	  editing; fixed a regression related to font scaling on X11 if the
	  display's DPI scaling level is > 100 %, introduced in the previous
	  release; the file scaleutilMisc.tcl now implements the new
	  scaleutilmisc package; updated the copyright information.

2020-12-09 Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistWidget.tcl: Trace procedure slightly improved.

2020-12-03 Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistThemes.tcl:              Added support for awthemes
	* scripts/tablelistUtil.tcl:                10.0.
	* ../../examples/tablelist/config_tile.tcl:
	* ../../examples/tablelist/option_tile.tcl:
	* ../../examples/tablelist/tileWidgets.tcl:

	* scripts/tclIndex: Newly generated.

2020-12-01 Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistBind.tcl: Improvements in the bindings for
	  <Shift-Button-1> and <Control-Button-1>.

	* scripts/tclIndex: Newly generated.

2020-11-28 Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistBind.tcl: Minor improvements.
	* scripts/tablelistUtil.tcl:

2020-11-25 Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistWidget.tcl: Slightly improved.

2020-11-22 Csaba Nemethi <csaba.nemethi@t-online.de>

	* ../../examples/tablelist/config_tile.tcl: Made TIP 278 conformant.

2020-11-21 Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistBind.tcl:                     Minor improvements.
	* scripts/tablelistUtil.tcl:
	* scripts/tablelistWidget.tcl:
	* doc/tablelist.html:
	* ../../examples/tablelist/embeddedWindows*.tcl:

2020-11-14 Csaba Nemethi <csaba.nemethi@t-online.de>

	* doc/tablelistWidget.html: Slightly improved.

2020-11-08 Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/utils/scaleutil.tcl: Corrected a typo.

2020-11-07 Csaba Nemethi <csaba.nemethi@t-online.de>

	* tablelistCommon.tcl: Updated the scaleutil version.

	* scripts/utils/pkgIndex.tcl:      Moved part of scaleutil.tcl into the
	* scripts/utils/scaleutil.tcl:     new file scaleutilMisc.tcl.
	* scripts/utils/scaleutilMisc.tcl:

2020-11-05 Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistBind.tcl: Cleanup for mouse wheel handling.

	* scripts/tclIndex: Newly generated.

2020-10-17 Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt:                    Improvements and updates related to
	* scripts/tablelistThemes.tcl:    awthemes 9.4.
	* scripts/tablelistUtil.tcl:
	* doc/tablelist.html:
	* doc/tablelistWidget.html:
	* ../../examples/tablelist/*.tcl:

	* scripts/tclIndex: Newly generated.

2020-10-14 Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt:                    Added support for all the themes
	* scripts/tablelistThemes.tcl:    provided by the awthemes package.
	* doc/tablelist.html:
	* doc/tablelistWidget.html:
	* ../../examples/tablelist/*.tcl:

	* scripts/tclIndex: Newly generated.

2020-10-09 Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt: Updated.

	* scripts/tablelistEdit.tcl:      Added support for the "awdark" theme.
	* scripts/tablelistThemes.tcl:
	* doc/tablelist.html:
	* ../../examples/tablelist/*.tcl:

	* scripts/tablelistImages.tcl: Added the tree styles "white100",
	* scripts/tablelistWidget.tcl: "white125", ..., "white200".
	* doc/tablelistWidget.html:
	* doc/white*.png:

	* scripts/utils/scaleutil.tcl: Improvements related to the X11 fonts.

	* scripts/tclIndex: Newly generated.

2020-10-03 Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt:              Dropped the requirement that changing the
	* scripts/utils/mwutil.tcl: theme be done using the "ttk::setTheme"
	* doc/tablelist.html:       command, which was necessary for older tile
	* doc/tablelistThemes.html: versions.

2020-09-24 Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistWidget.tcl: Restored the mwutil::getScrollInfo2
	* scripts/utils/mwutil.tcl:    command.

2020-09-20 Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt:        Updated.
	* doc/tablelist.html:

	* ../../examples/tablelist/*.tcl: Improvements related to font
	  scalabilty.

2020-09-08 Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 6.11.
	* COPYRIGHT.txt:
	* README.txt:

	* tablelistCommon.tcl: Replaces the former tablelistPublic.tcl; bumped
	  the version number to 6.11.

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* scripts/*.tcl: Updated the "aqua" theme support and extended it by
	  support for the Dark Mode appearance; handling the virtual events
	  <<LightAqua>> and <<DarkAqua>> by updating the overall appearance of
	  the tablelist widgets; added the virtual event
	  <<TablelistThemeDefaultsChanged>> and sent to the main window when
	  handling the virtual events <<ThemeChanged>>, <<LightAqua>>, and
	  <<DarkAqua>>; improvements related to laying out the widget used for
	  interactive cell editing; reworked the invocations of "package
	  vcompare", taking into account that Tcl versions earlier than 8.5 did
	  not support the letters "a" and "b" in version numbers.

	* scripts/utils:               Moved mwutil.tcl and scaleutil.tcl to
	* scripts/utils/mwutil.tcl:    the new subdirectory utils and made them
	* scripts/utils/scaleutil.tcl: to packages.
	* scripts/utils/pkgIndex.tcl:

	* scripts/tclIndex: Newly generated.

	* ../../examples/tablelist/*.tcl: Bumped the version number to 6.11;
	  with Tk 8.6.10 or later, the demo-scripts browse(Tree)_tile.tcl,
	  config_tile.tcl, dirViewer_tile.tcl, embeddedWindows_tile.tcl, and
	  tileWidgets.tcl now fully support the Dark Mode appearance on Mac OS
	  10.14 and later.

2020-06-27 Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt:           Minor improvements.
	* scripts/scaleutil.tcl:
	* doc/tablelist.html:

2020-06-25 Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/scaleutil.tcl: Made sure that the scaled default width of the
	  Tk core scrollbar on X11 won't get overridden by an unscaled resource
	  database value.

2020-06-23 Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 6.10.
	* COPYRIGHT.txt:
	* README.txt:

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* scripts/*.tcl: Made the variable "tablelist::scalingpct" read-only;
	   automatic scaling of the default arrow style on the windowing system
	   "x11" and for a few tile themes; made sure that the widgets used for
	   interactive cell editing will appear properly scaled.

	* scripts/scaleutil.tcl: New file containing scaling-related stuff:
	  getting the display's DPI scaling percentage; scaling the default
	  width of the Tk core scrollbars on X11, the default width of the
	  ttk::scrollbar widget in a few built-in themes, the arrows of the
	  ttk::combobox, ttk::spinbox, and ttk::menubutton widgets, and the
	  indicators of the ttk::checkbutton and ttk::radiobutton widgets;
	  a workaround for a long-standing scaling-related bug in the
	  implementation of the ttk::checkbutton and ttk::radiobutton widgets
	  in the "vista" and "xpnative" themes; procedures for scaling several
	  widgets used for interactive cell editing.

	* scripts/tclIndex: Newly generated.

	* doc/stylesheet.css: Updated.

	* doc/browse.png:		Updated screenshots.
	* doc/browseTree.png:
	* doc/bwidget.png:
	* doc/config.png:
	* doc/dirViewer.png:
	* doc/embeddedWindows.png:
	* doc/embeddedWindows_tile.png:
	* doc/plain200.png:
	* doc/styles.png:
	* doc/tileWidgets.png:

	* ../../examples/tablelist/*.tcl: Bumped the version number to 6.10;
	  made all demo-scripts fully scaling-aware.

	* ../../examples/tablelist/*.gif: Removed checked.gif, unchecked.gif,
	  and open.gif; added (checked|unchecked|openAction)100.gif,
	  (checked|unchecked|openAction)125.gif, ...,
	  (checked|unchecked|openAction)200.gif.

	* ../../examples/tablelist/*.xbm: Removed comp.xbm and leaf.xbm; added
	  (comp|leaf)100.xbm, (comp|leaf)125.xbm, ..., (comp|leaf)200.xbm.

2020-04-20 Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 6.9; updated the
	* COPYRIGHT.txt: copyright information.
	* README.txt:

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* scripts/*.tcl: Significantly extended and improved the code for
	  initializing the variable "tablelist::scalingpct", especially on X11;
	  added the percentage value 175 and the corresponding arrow styles
	  "flat13x7", "flatAngle13x7", and "photo13x7"; removed the arrow
	  styles "flat5x3" and "flat5x4"; changed the tree style names
	  "(bicolor|classic|plain)1", ..., "(bicolor|classic|plain)4" to
	  "(bicolor|classic|plain)100", "(bicolor|classic|plain)125",
	  "(bicolor|classic|plain)150", and "(bicolor|classic|plain)200"; added
	  the tree styles "(bicolor|classic|plain)175"; updated the tree styles
	  "adwaita", "ubuntuMate", and "win10"; made the "refreshsorting"
	  subcommand by orders of magnitude faster; fixed an issue related to
	  the bindings for the edit window; fixed a bug related to the "expand"
	  subcommand for a list of indices; updated the copyright information.

	* scripts/tclIndex: Newly generated.

	* doc/bicolor*png:  Renamed (bicolor|classic|plain)1.png, ...,
	* doc/classic*.png: (bicolor|classic|plain)4.png to
	* doc/plain*.png:   (bicolor|classic|plain)100.png,
	  (bicolor|classic|plain)125.png, (bicolor|classic|plain)150.png, and
	  (bicolor|classic|plain)200.png; updated screenshots; added
	  (bicolor|classic|plain)175.png.

	* doc/adwaita.png:           Updated screenshots.
	* doc/arrowStyles.png:
	* doc/arrowStyles_vista.png:
	* doc/dirViewer.png:
	* doc/scrollbars.png:
	* doc/ubuntuMate.png:
	* doc/win10.png:

	* ../../examples/tablelist/*.tcl: Bumped the version number to 6.9;
	  updated the copyright information; the scripts "dirViewer.tcl" and
	  "dirViewer_tile.tcl" now also demonstrate how to use the variable
	  "tablelist::scalingpct" for developing scaling-aware applications.

	* ../../examples/tablelist/*.gif: Removed clsdFolder.gif,
	  openFolder.gif, and file.gif; added (clsd|open)Folder100.gif,
	  (clsd|open)Folder125.gif, ..., (clsd|open)Folder200.gif; added
	  file100.gif, file125.gif, .., file200.gif.

2020-02-09  0.7  <andreas_kupries@users.sourceforge.net>

	*
	* Released and tagged Tklib 0.7 ========================
	* 

2019-12-12 Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistBind.tcl:   Improvements related to the "aqua" theme.
	* scripts/tablelistThemes.tcl:
	* scripts/tablelistUtil.tcl:
	* scripts/tablelistWidget.tcl:

2019-12-11 Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 6.8.
	* COPYRIGHT.txt:
	* README.txt:

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* scripts/*.tcl: Updated and significantly improved the support for
	  Windows 10; adapted the "aqua" theme support to Tk release 8.6.10;
	  improved the units computation for "(x|y)view scroll" within the
	  bindings for mouse wheel events; for Tk 8.7.a3 and above on X11,
	  added bindings for horizontal scrolling with the aid of the (virtual)
	  mouse buttons 6 and 7.

	* scripts/tclIndex: Newly generated.

	* ../../examples/tablelist/*.tcl: Bumped the version number to 6.8;
	  using ttk::scrollbar widgets for the "aqua" theme, too, provided that
	  the Tk release is 8.6.10 or later.

2019-10-20 Csaba Nemethi <csaba.nemethi@t-online.de>

	* pkgIndex.tcl:                   Bumped the version number to 6.7.
	* tablelist.tcl:
	* tablelist_tile.tcl:
	* COPYRIGHT.txt:
	* README.txt:
	* ../../examples/tablelist/*.tcl:

	* tablelistPublic.tcl: Bumped the version number to 6.7; no longer
	  creating aliases in the "::tk" namespace for Tk commands for which
	  that namespace already contains a command of the same name.

	* CHANGES.txt: Updated to reflect the changes.

	* scripts/*.tcl: Optimized the horizontal scrolling by units; many
	  improvements related to the "aqua" theme; made sure that the commands
	  specified as the values of the "-xscrollcommand" and
	  "-yscrollcommand" options will only be invoked if the view's data
	  have changed; fixed a bug related to the "scan" subcommand; several
	  further improvements and minor bug fixes.

	* scripts/tclIndex: Newly generated.

	* doc/stylesheet.css: Updated.

	* doc/*.html: Updated to reflect the changes; various improvements.

2019-07-13 Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistMove.tcl: Fixed a bug related to the "move"
	  subcommand.

	* CHANGES.txt: Updated.

2019-07-13 Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistConfig.tcl: Removed the restrictions related to the
	* scripts/tablelistWidget.tcl: scrollutil::scrollarea widget.

2019-07-08 Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistWidget.tcl: Reverted the change in the procedure
	  tablelist::vertMoveTo.

2019-07-06 Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:                          Bumped the version number to 6.6.
	* COPYRIGHT.txt:
	* README.txt:
	* ../../examples/tablelist/*.tcl:

	* CHANGES.txt: Updated to reflect the changes.

	* scripts/*.tcl: Added mouse bindings for column-wise cell selection;
	  new "-selectfiltercommand" widget and column configuration option;
	  improved the interactive editing of multi-line cells; updated the
	  tree style "adwaita"; eliminated the flickering in the presence of
	  header items; fixed a bug related to the error handling in the
	  tablelist configuration at widget creation time in the presence of
	  the "-columntitles" option; several further improvements and minor
	  bug fixes.

	* scripts/tclIndex: Newly generated.

	* doc/*.html: Updated to reflect the changes; improved and extended the
	  description of the "-height" option in the reference manual; added
	  references to the new Scrollutil package and an example showing how
	  the scrollutil::scrollarea widget can be used to make the creation of
	  a scrolled tablelist quite simple.

	* doc/adwaita.png:           Updated screenshots.
	* doc/arrowStyles_vista.png:

2019-04-18 Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt: Slightly extended.

2019-04-14 Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 6.5.
	* COPYRIGHT.txt:
	* README.txt:

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* scripts/*.tcl: Added support for the virtual events
	  <<TablelistHeaderHeightChanged>> and
	  <<TablelistTitleColsWidthChanged>>; optimized the vertical scrolling
	  by units; minor improvement related to the appearance of embedded
	  checkbuttons on X11; fixed a bug related to the "-showlabels" option;
	  fixed a few bugs specific to Mac OS X Aqua; fixed a bug related to
	  the handling of mouse wheel events during interactive cell editing;
	  fixed a bug related to the "move" subcommand; several further
	  improvements.

	* scripts/tclIndex: Newly generated.

	* ../../examples/tablelist/*.tcl: Bumped the version number to 6.5;
	  minor improvements.

	* doc/scrollbars.png: Updated screenshot.

2019-01-07 Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 6.4; updated the
	* COPYRIGHT.txt: copyright information.
	* README.txt:

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* scripts/*.tcl: Added the "-xmousewheelwindow" and
	  "-ymousewheelwindow" configuration options; optimized the deletion of
	  a list of items; improved the performance of the vertical scrolling;
	  eliminated a potential endless loop triggered by key navigation with
	  the "aqua" theme and selection type "cell"; fixed two regressions
	  introduced in Tablelist 6.3, related to (1) the handling of the
	  "-listvariable" option when using Itcl 3.x and (2) clearing the
	  multiple or extended selection; further improvements and minor bug
	  fixes; updated the copyright information.

	* scripts/tclIndex: Newly generated.

	* ../../examples/tablelist/*.tcl: Bumped the version number to 6.4;
	  minor bug fixes; updated the copyright information.

2018-09-19 Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt: Slightly extended.

	* scripts/tablelistConfig.tcl: Fixed a bug related to the "rowconfigure"
	* scripts/tablelistWidget.tcl: subcommand, introduced in Tablelist 6.0.

2018-09-01 Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistConfig.tcl: Minor changes for TIP 278 conformance.
	* scripts/tablelistThemes.tcl:
	* scripts/tablelistUtil.tcl:

2018-08-28 Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt: Slightly extended.

	* scripts/tablelistWidget.tcl: Bugfixes and further optimizations.

2018-08-18 Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt: Updated to reflect the changes committed yesterday.

2018-08-17 Csaba Nemethi <csaba.nemethi@t-online.de>

	* tablelistPublic.tcl: Adapted to some changes in future Tcl and Tk
	* tablelist.tcl        releases (TIP 278, independent Tcl and Tk
	* tablelist_tile.tcl   versions).
	* scripts/mwutil.tcl

2018-08-16 Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:                          Bumped the version number to 6.3.
	* COPYRIGHT.txt:
	* README.txt:
	* ../../examples/tablelist/*.tcl:

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* scripts/*.tcl: Added the "-showbusycursor" configuration option and
	  the "setbusycursor" and "restorecursor" subcommands; the "-stretch"
	  option is no longer ignored if the width was specified as zero or
	  less; enhancements related to managing both scrollbars with the aid
	  of the "cornerpath" subcommand; optimizations in the item insertion
	  and the selection-related code; improved the interactive cell editing
	  with the aid of the ctext widget; made the overall handling of the
	  "-listvariable" option much more robust; fixed some bugs related to
	  the "-maxwidth" column configuration option, the "-displayondemand"
	  option, and the tooltip support; further improvements and minor bug
	  fixes.

	* scripts/tclIndex: Newly generated.

	* doc/browseTree.png:           Updated screenshots.
	* doc/dirViewer.png:
	* doc/embeddedWindows.png:
	* doc/embeddedWindows_tile.png:

	* doc/scrollbars.png: Added screenshot.

2018-06-05 Csaba Nemethi <csaba.nemethi@t-online.de>

	* doc/tablelist.html:             Using the "cornerpath" subcommand not
	* doc/tablelistWidget.html:       only on Mac OS X Aqua but also on
	* ../../examples/tablelist/*.tcl: X11.

	* CHANGES.txt: Updated to reflect the changes.

	* doc/browse.png:               Updated screenshots.
	* doc/browseTree.png:
	* doc/bwidget.png:
	* doc/config.png:
	* doc/dirViewer.png:
	* doc/embeddedWindows.png:
	* doc/embeddedWindows_tile.png:
	* doc/styles.png:
	* doc/tileWidgets.png:

2018-05-25 Csaba Nemethi <csaba.nemethi@t-online.de>

	* doc/browseTree.png: Updated.
	* doc/tablelist.html:

2018-05-25 Csaba Nemethi <csaba.nemethi@t-online.de>

	* doc/tablelist.html: Minor correction.

2018-05-22 Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:                          Bumped the version number to 6.2.
	* COPYRIGHT.txt:
	* README.txt:
	* ../../examples/tablelist/*.tcl:

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* scripts/*.tcl: Added the "-labelvalign" column configuration option;
	  the "collapse" and "expand" subcommands now accept a list of indices
	  as first argument; significantly improved the overall performance of
	  tablelist widgets containing a tree structure, embedded images, or
	  multi-line cells; important improvements related to the scanning
	  performance and behavior; changed the default arrow style "flat7x5"
	  to "flat8x4" on the windowing system "x11" and for some tile themes;
	  fixed some bugs related to the interactive cell editing and the
	  handling of the "-listvariable" option in connection with snit
	  widgetadaptors; further code improvements and minor bug fixes.

	* scripts/tclIndex: Newly generated.

	* doc/arrowStyles_vista.png:    Updated screenshots.
	* doc/browse.png:
	* doc/browseTree.png:
	* doc/bwidget.png:
	* doc/config.png:
	* doc/dirViewer.png:
	* doc/embeddedWindows.png:
	* doc/embeddedWindows_tile.png:
	* doc/styles.png:
	* doc/tileWidgets.png:

2018-03-05 Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:                          Bumped the version number to 6.1;
	* COPYRIGHT.txt:                  updated the copyright information.
	* README.txt:
	* ../../examples/tablelist/*.tcl:

	* CHANGES.txt: Updated to reflect the changes.

	* scripts/*.tcl: Added the "-imagebackground" cell configuration option;
	  updated the copyright information.

	* doc/*.html: Updated to reflect the changes; more on the "bodytag"
	  subcommand in connection with embedded images etc. as drag sources.

2018-02-12  Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt: Updated.

2018-01-08  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:              Bumped the version number to 6.0.1.
	* COPYRIGHT.txt:
	* README.txt:
	* doc/index.html:
	* doc/tablelist.html:

	* CHANGES.txt: Updated to reflect the changes.

	* scripts/tablelistUtil.tcl: Inserted the missing "]" in line #6448.

2017-12-06 Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 6.0.
	* COPYRIGHT.txt:
	* README.txt:

	* CHANGES.txt: Updated to reflect the changes.

	* scripts/*.tcl: Added support for header items (aka title rows), added
	  the "embed(ttk)checkbutton" and "embed(ttk)checkbuttons" subcommands;
	  compatibility with the revised implementation of the text widget;
	  support for Tcl-only "dict" implementations; deleting all items has
	  become by orders of magnitude faster; guarded against invocations of
	  the "update" command when displaying the tooltip; "xview" and "yview"
	  now work as expected even if the decimal point is different from ".";
	  numerous further improvements.

	* scripts/tclIndex: Newly generated.

	* doc/*.html: Updated to reflect the changes.

	* doc/dirViewer.png:            Updated screenshots
	* doc/embeddedWindows.png:
	* doc/embeddedWindows_tile.png:

	* ../../examples/*.tcl: Bumped the version number to 6.0; updates and
	  minor improvements.

2017-06-24  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistWdget.tcl: Fixed a bug related to excluding the
	  "dicttoitem" and "itemtodict" subcommands for Tk 8.4 and earlier.

	* CHANGES.txt: Updated to reflect the changes.

2017-06-23  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistWidget.tcl: Minor cleanup.

2017-06-23  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistWidget.tcl: Corrected a typo.

2017-06-23  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 5.18.
	* COPYRIGHT.txt:
	* README.txt:

	* CHANGES.txt: Updated to reflect the changes.

	* scripts/*.tcl: Improved the performance of the vertical scrolling;
	  added the "-displayondemand" configuration option; added the
	  "tablelist::delaySashPosUpdates" command; added support for the
	  themes "Arc" and "clearlooks"; updated the support for a few other
	  themes; fixed a bug related to retrieving the current cell selection;
	  numerous further improvements.

	* scripts/tclIndex: Newly generated.

	* doc/*.html: Updated to reflect the changes; more on the
	  "-formatcommand" column configuration option in connection with
	  "-sortmode integer|real"; minor improvements.

	* doc/browse.png:               Updated screenshots.
	* doc/browseTree.png:
	* doc/bwidget.png:
	* doc/config.png:
	* doc/dirViewer.png:
	* doc/embeddedWindows.png:
	* doc/embeddedWindows_tile.png:
	* doc/tileWidgets.png:

	* ../../examples/*.tcl: Bumped the version number to 5.18; minor
	  improvements.

2017-03-22  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:                Bumped the version number to 5.17.
	* COPYRIGHT.txt:
	* README.txt:
	* ../../examples/*.tcl:

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* scripts/*.tcl: Added the tree styles "arc", "blueMenta", "menta",
	  "ubuntuMate", and "ubuntu3"; added the "dicttoitem" and "itemtodict"
	  subcommands; added support for the virtual event
	  <<TablelistViewUpdated>>; added bindings for toggling the selection
	  state of individual items and elements; added support for the
	  keyboard shortcuts <Control-a> and <Shift-Control-A> as alternatives
	  to <Control-slash> and <Control-backslash>; improvements related to
	  vertical scrolling.

	* scripts/tclIndex: Newly generated.

	* doc/arc.png:        Added screenshots.
	* doc/blueMenta.png:
	* doc/menta.png:
	* doc/ubuntuMate.png:
	* doc/ubuntu3.png:

	* doc/*.png: Updated screenshots.

2016-08-30  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistWidget.tcl: Worked around a text widget issue in Tk
	  8.6.6.

	* CHANGES.txt: Updated to reflect the above change.

2016-08-25  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistImages.tcl: Added the tree style "mint2"; improved a
	* scripts/tablelistWidget.tcl: few tree styles.

	* scripts/tclIndex: Newly generated.

	* CHANGES.txt:              Updated to reflect the changes.
	* doc/tablelistWidget.html:
	* doc/*.png:

2016-08-09  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistBind.tcl:   Added the "-autofinishediting" option;
	* scripts/tablelistConfig.tcl: adapted the implementation of the
	* scripts/tablelistEdit.tcl:   "delete" subcommand to the changed text
	* scripts/tablelistWidget.tcl: widget behavior in Tk 8.6.5.

	* CHANGES.txt:              Updated to reflect the changes.
	* doc/tablelistWidget.html:

2016-06-15  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:                Bumped the version number to 5.16.
	* COPYRIGHT.txt:
	* README.txt:
	* ../../examples/*.tcl:

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* scripts/tablelistConfig.tcl: Made the sort arrows look more native on
	* scripts/tablelistEdit.tcl:   Windows Vista and later; support for
	* scripts/tablelistImages.tcl: fully qualified edit window names of the
	* scripts/tablelistThemes.tcl: form "::ttk::*"; improvements related to
	* scripts/tablelistUtil.tcl:   the "move" and "movecolumn" subcommands
	* scripts/tablelistWidget.tcl: and to the deletion of the images used
	  in sort arrows; drastically increased the speed of the "collapse" and
	  "collapseall" subcommands with the "-fully" option; fixed a bug
	  related to the "curcellselection" subcommand.

	* scripts/tclIndex: Newly generated.

	* doc/ambiance.png:         Updated screenshots.
	* doc/arrowStyles.png:
	* doc/bicolor*.png:
	* doc/browse*.png:
	* doc/bwidget.png:
	* doc/classic*.png:
	* doc/config.png:
	* doc/dirViewer.png:
	* doc/dust*.png:
	* doc/embeddedWindows*.png:
	* doc/plain*.png:
	* doc/radiance.png:
	* doc/styles.png:
	* doc/tileWidgets.png:

	* doc/arrowStyles_vista.png: Added screenshot.

2015-12-28  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:                Bumped the version number to 5.15.
	* COPYRIGHT.txt:
	* README.txt:
	* ../../examples/*.tcl:

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* scripts/tablelistConfig.tcl: Added the tree style "win10" and the
	* scripts/tablelistEdit.tcl:   arrow styles "flatAngle11x6" and
	* scripts/tablelistImages.tcl: "flatAngle15x8"; Worked around a text
	* scripts/tablelistThemes.tcl: widget bug introduced in Tk 8.5.18 and
	* scripts/tablelistWidget.tcl: 8.6.4; Fixed a bug that prevented the
	  subcommands "see end", "see last", and "yview moveto 1" from working
	  as expected if the tablelist widget contains multi-line cells or large
	  images.

	* scripts/tclIndex: Newly generated.

	* doc/arrowStyles.png:      Updated screenshots.
	* doc/browse*.png:
	* doc/bwidget.png:
	* doc/config.png:
	* doc/dirViewer.png:
	* doc/embeddedWindows*.png:
	* doc/styles.png:
	* doc/tileWidgets.png:
	* doc/vista*.png:
	* doc/win7*.png:

	* doc/win10.png: Added screenshot.

2015-08-22  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistConfig.tcl: Added automatic scaling for the default
	* scripts/tablelistImages.tcl: arrow style on Windows Vista and later;
	* scripts/tablelistThemes.tcl: Minor scaling-related improvemnts.
	* scripts/tablelistWidget.tcl:

	* scripts/tclIndex: Newly generated.

	* CHANGES.txt:              Updated to reflect the changes.
	* doc/tablelistWidget.html:

2015-08-19  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistImages.tcl: Added automatic scaling for the tree
	  styles "vistaAero", "vistaClassic", "win7Aero", and "win7Classic on
	  Windows 7 and later.

	* scripts/tclIndex: Newly generated.

	* CHANGES.txt:              Updated to reflect the changes.
	* doc/tablelistWidget.html:

	* doc/vistaAero.png: Updated screenshots.
	* doc/win7Aero.png:

2015-08-10  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistEdit.tcl: Minor improvements.
	* doc/tablelistWidget.html:

2015-08-07  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistImages.tcl: Improved a few tree styles.

	* doc/bicolor*.png:         Updated screenshots.
	* doc/classic*.png:
	* doc/plain*.png:
	* doc/tablelistWidget.html:

2015-07-30  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:                Bumped the version number to 5.14.
	* COPYRIGHT.txt:
	* README.txt:
	* ../../examples/*.tcl:

	* CHANGES.txt: Updated to reflect the changes.

	* scripts/*.tcl: Added the "-colorizecommand" configuration option; The
	  "curcellselection" and "curselection" subcommands now accept an
	  optional argument; Added the arrow style "flat8x4"; Added the tree
	  styles "ubuntu2", "yuyo", "plain1", ..., "plain4", "bicolor1", ...,
	  "bicolor4", and "classic1", ..., "classic4"; Changes related to the
	  default arrow color and style; In case of "-selecttype cell", the row
	  containing the active cell is now displayed with raised relief;
	  Guarded against invocations of the "update" command from within
	  binding scripts associated with the <<TablelistSelect>> virtual
	  event; Worked around some unexpected events in certain X11
	  environments, which prevented Tablelist 5.13 from starting the
	  interactive cell editing in such environments.

	* scripts/tclIndex: Newly generated.

	* doc/*.html: Updated to reflect the changes.

	* doc/arrowStyles.png:      Updated screenshots.
	* doc/baghira.png:
	* doc/browse*.png:
	* doc/bwidget.png:
	* doc/config.png:
	* doc/dirViewer.png:
	* doc/embeddedWindows*.png:
	* doc/klearlooks.png:
	* doc/oxygen*.png:
	* doc/phase.png:
	* doc/plasti*.png:
	* doc/styles.png:
	* doc/tileWidgets.png:

	* doc/bicolor*.png: Added screenshots.
	* doc/classic*.png:
	* doc/plain*.png:
	* doc/ubuntu2.png:
	* doc/yuyo.png:

	* ../../examples/*.gif: Updated images.

2015-01-20  Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt: Slightly extended.

2015-01-17  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistBind.tcl: Minor improvement.

2015-01-10  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistBind.tcl: Made the "handleMotion" proc more robust.

2015-01-04  Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt: Eliminated the non-ASCII characters.

2015-01-03  Csaba Nemethi <csaba.nemethi@t-online.de>

	* doc/tablelistWidget.html: Minor improvements.

2015-01-02  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:                Bumped the version number to 5.13.
	* COPYRIGHT.txt:
	* README.txt:
	* ../../examples/*.tcl:

	* CHANGES.txt: Updated to reflect the changes.

	* scripts/*.tcl: Added support for Mac OS X 10.10 (Yosemite); Renamed 4
	  arrow styles to "flatAngle<W>x<H>" and added 5 new ones; added the
	  tree style "mate"; added the "-showeditcursor" configuration option;
	  new column configuration option "-changetitlesnipside"; support for
	  the word "last" as row, column, cell, or child index; eliminated the
	  endless loop generated by the "yview" subcommand when synchronizing
	  two or more tablelist widgets.

	* scripts/tclIndex: Newly generated.

	* scripts/pencil.cur: Added Windows cursor file.

	* doc/*.html: Updated to reflect the changes; a few additions and
	  improvements.

	* doc/arrowStyles.png: Updated screenshots.
	* doc/newWave.png:

	* doc/mate.png: Added screenshot.

2014-10-19  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:              Bumped the version number to 5.12.1.
	* COPYRIGHT.txt:
	* README.txt:
	* doc/index.html:
	* doc/tablelist.html:

	* CHANGES.txt: Updated to reflect the changes.

	* scripts/tablelistEdit.tcl: Appended the missing 4th argument to the
	  two invocations of the procedure "tablelist::moveOrActivate".

	* scripts/tablelistUtil.tcl: Fixed a typo.

2014-10-08  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 5.12.
	* COPYRIGHT.txt:
	* README.txt:

	* CHANGES.txt: Updated to reflect the changes.

	* scripts/*.tcl: Added the "-customdragsource" and "-showseparators"
	  configuration options; added the "showtargetmark", "hidetargetmark",
	  "targetmarkpos", and "targetmarkpath" subcommands; made the default
	  binding scripts drag-friendly; new values "flat5x3" and "flat5x4" for
	  the "-arrowstyle" option; updated the tree styles "adwaita",
	  "ubuntu", and "mint"; fixed a bug related to horizontal scrolling in
	  an empty tablelist widget with positive "-titlecolumns" value.

	* scripts/tclIndex: Newly generated.

	* ../../examples/*.tcl: Bumped the version number to 5.12.

	* doc/*.html: Updated to reflect the changes; added a "Drag & Drop
	  Support" section to the reference manual.

	* doc/*.png: Updated several screenshots.

2014-02-23  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistUtil.tcl:   Workarounds for text widget bugs.
	* scripts/tablelistWidget.tcl:

2014-02-22  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistUtil.tcl: Minor correction.

2014-02-21  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistUtil.tcl: Minor improvements related to the
	  separators.

2014-02-16  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 5.11.
	* COPYRIGHT.txt:
	* README.txt:

	* scripts/*.tcl: Added the "findrowname" and "findcolumnname"
	  subcommands; collapsing a row no longer leads to renumbering the
	  lines; placing a horizontal separator below the last tablelist row if
	  "-showseparators" is true and "-fullseparators" is false; worked
	  around a peculiarity of Tk on Windows, which caused problems when
	  resizing the tablelist window in the presence of embedded images or
	  multi-line elements; added the missing actualization of the active
	  and anchor row indices after moving an item to a different position;
	  fixed two bugs in Tablelist_tile, related to header labels with
	  embedded images; numerous further improvements.

	* scripts/tclIndex: Newly generated.

	* ../../examples/*.tcl: Bumped the version number to 5.11.

	* CHANGES.txt: Updated to reflect the changes.

	* doc/*.html: Updated to reflect the changes; numerous improvements.

	* doc/stylesheet.css: Added stylesheet file.

	* doc/arrowStyles.png: Updated the screenshot.

2013-10-22  Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt: Slightly extended.

	* scripts/tablelistUtil.tcl: Fixed a bug related to column deletion if
	  the "-selecttype" option has the value "cell".

2013-10-21  Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt: Slightly extended.

	* scripts/tablelistBind.tcl: Guarded against column deletions from
	* scripts/tablelistUtil.tcl: within non-default binding scripts.

2013-10-15  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 5.10.
	* COPYRIGHT.txt:
	* README.txt:

	* scripts/*.tcl: Added the "-acceptdropcommand", "-instanttoggle",
	  and "-tight" configuration options; added the "isviewable" and
	  "viewablerowcount" subcommands; improvements related to the value of
	  the "-data" option for the virtual events <<TablelistColumnMoved>>
	  and <<TablelistRowMoved>>; sped up the "delete" subcommand; restored
	  the support for some earlier Tcl/Tk versions; improved the package
	  loading mechanism; guarded against potential item insertions or
	  deletions from within the commnad specified as the value of the
	  "-editendcommand" option; guarded against deletion of embedded images
	  or windows from within the commnad specified as the value of the
	  "-tooltipaddcommand" option.

	* scripts/tclIndex: Newly generated.

	* ../../examples/*.tcl: Bumped the version number to 5.10.

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* doc/config.png: Updated screenshots.
	* doc/styles.png:

2013-05-26  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 5.9.
	* COPYRIGHT.txt:
	* README.txt:

	* scripts/*.tcl: Added the "-valign" column and cell configuration
	  option; added the "-stripebackground" and "-stripeforeground" column
	  configuration options; improvements for Windows 7; workaround for a
	  text widget bug in Tk versions 8.5 and later; corrected a typo in the
	  implementation of the "rowconfigure" subcommnad; fixed a bug related
	  to resetting the "-(select)background" and "-(select)foreground
	  options at column, row, and cell levels.

	* scripts/tclIndex: Newly generated.

	* ../../examples/*.tcl: Bumped the version number to 5.9.

	* ../../examples/config_tile.tcl: Improvements for Windows 7.

	* ../../examples/styles.tcl:      Using the "-stripebackground" option
	* ../../examples/styles_tile.tcl: at column level, too.

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* doc/styles.png:   Updated screenshots.
	* doc/win7Aero.png:

2013-04-23  Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt: Slightly extended.

2013-04-20  Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt:               Slightly extended.
	* doc/tablelistWidget.html:

	* scripts/tablelistBind.tcl: Minor improvement.

	* scripts/tablelistUtil.tcl:   Worked around a peculiarity of Tk on
	* scripts/tablelistWidget.tcl: Windows, related to deleting an embedded
	  window while resizing a text widget interactively.

2013-04-19  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistUtil.tcl: Small correction.

2013-04-17  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistSort.tcl:   Using "-algn top" for the embedded
	* scripts/tablelistUtil.tcl:   message widgets displaying multiline
	* scripts/tablelistWidget.tcl: texts.

2013-04-16  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistBind.tcl: Minor improvement.

2013-04-14  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistUtil.tcl: Minor optimization.

2013-04-12  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 5.8.
	* COPYRIGHT.txt:
	* README.txt:

	* scripts/*.tcl: Support for interactive cell editing with the aid of
	  the ctext widget; added the "canceledediting" subcommand; sped up the
	  "selection" and "cellselection" subcommands by orders of magnitude;
	  significally reduced the performance penalty imposed by the
	  "-(select)background" and "-(select)foreground options at column,
	  row, and cell levels; improved the keyboard traversal during
	  interactive cell editing; using the "-data" option for most virtual
	  events; improvements related to the selection mode "extended";
	  further code improvements; eliminated a regression introduced in
	  Tablelist 5.6, related to vertical scrolling under Tk 8.5 or later in
	  the presence of embedded images or windows.

	* scripts/tclIndex: Newly generated.

	* ../../examples/*.tcl: Bumped the version number to 5.8.

	* CHANGES.txt: Updated to reflect the changes.

	* doc/*.html: Added a "Virtual Events" section to the reference manual;
	  updated to reflect the changes.

2013-03-25  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	*
	* Released and tagged Tklib 0.6 ========================
	* 


2012-10-23  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 5.7.
	* COPYRIGHT.txt:
	* README.txt:

	* scripts/*.tcl: Added the "cellbbox" and "editinfo" subcommands;
	  adapted the tree styles "ubuntu" and "mint" to the latest Ubuntu
	  Linux and Linux Mint releases; minor change related to the
	  ttk::combobox widget used as edit window; increased use of virtual
	  events; worked around a bug in some earlier Tk versions, related to
	  checkbuttons without indicator; replaced the "namespace exists"
	  occurrences with "array exists"; fixed a copy & paste bug related to
	  embedded windows; fixed a long-standing bug related to the
	  "cancelediting" subcommand and the "-forceeditendcommand" option;
	  fixed a long-standing minor bug related to the "-labelbg" column
	  configuration option in Tablelist_tile; several further improvements.

	* scripts/tclIndex: Newly generated.

	* ../../examples/*.tcl: Bumped the version number to 5.7; several
	  improvements.

	* CHANGES.txt: Updated to reflect the changes.
	* doc/*.html:

	* doc/bwidget.png:     Updated screenshots.
	* doc/mint.png:
	* doc/tileWidgets.png:
	* doc/ubuntu.png:

2012-04-16  Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt:               Fixed a bug related to the "move"
	* scripts/tablelistMove.tcl: subcommand.

2012-04-09  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistEdit.tcl: Minor improvements related to Tk and tile
	  checkbuttons used as edit windows.

2012-04-07  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistEdit.tcl:   Small corrections and improvements.
	* scripts/tablelistThemes.tcl:
	* scripts/tablelistUtil.tcl:

2012-04-05  Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt:              Updated to reflect the changes.
	* doc/tablelistWidget.html:

	* scripts/tablelistBind.tcl:   Optimizations related to item insertion
	* scripts/tablelistMove.tcl:   and sorting.
	* scripts/tablelistSort.tcl:
	* scripts/tablelistUtil.tcl:
	* scripts/tablelistWidget.tcl:

	* scripts/tclIndex: Newly generated.

2012-03-24  Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt: Slightly extended.

	* scripts/tablelistBind.tcl:   Minor improvements.
	* scripts/tablelistSort.tcl:
	* scripts/tablelistUtil.tcl:
	* scripts/tablelistWidget.tcl:

	* scripts/tclIndex: Newly generated.

2012-03-10  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:                Bumped the version number to 5.6; updated the
	* COPYRIGHT.txt:        copyright information.
	* README.txt:
	* ../../examples/*.tcl:

	* scripts/*.tcl: Added the tree styles "adwaita", "mint", and "ubuntu";
	  added the "-windowupdate" cell configuration option; embedded windows
	  are now hidden during interactive cell editing; extended the support
	  for the "tileqt" theme to work on KDE 4, too; guarded against the
	  case that a tablelist widget is deleted and its name is reused for a
	  widget of a different class; guarded against scripts that start by
	  destroying all children of the root window; fixed a bug related to
	  the "move" subcommand; updated the copyright information.

	* CHANGES.txt: Updated to reflect the changes; minor improvements.
	* doc/*.html:

	* doc/adwaita.png: Added screenshots.
	* doc/mint.png:
	* doc/ubuntu.png:

	* doc/ambiance.png: Updated screenshots.
	* doc/dust.png:
	* doc/dustSand.png:
	* doc/radiance.png:

2011-12-14  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistUtil.tcl: Minor improvement related to the
	  "-labelforeground" option in Tablelist_tile.

2011-12-13  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistConfig.tcl: Improvements related to the header label
	* scripts/tablelistUtil.tcl:   colors in Tablelist_tile.

2011-12-11  Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt: Slightly modified.

2011-12-10  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistConfig.tcl: A few corrections related to the header
	* scripts/tablelistUtil.tcl:   label colors in Tablelist_tile.

2011-12-10  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistBind.tcl:   Removed the "-labelbackground" option
	* scripts/tablelistConfig.tcl: from Tablelist_tile.
	* scripts/tablelistThemes.tcl:
	* scripts/tablelistWidget.tcl:

	* scripts/tablelistUtil.tcl: Worked around a tile bug that caused the
	  column labels in disabled state to no longer appear in the theme-
	  specific disabled foreground color.

	* CHANGES.txt:              Updated to reflect the changes.
	* doc/tablelist.html:
	* doc/tablelistThemes.html:
	* doc/tablelistWidget.html:

2011-12-04  Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt: Slightly extended.

2011-12-02  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistEdit.tcl: Minor improvements.
	* doc/tablelistWidget.html:

2011-12-01  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistUtil.tcl: Improvements for Mac OS X.

2011-11-28  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl: Bumped the version number to 5.5.
	* *.txt:

	* ../../examples/tablelist/*.tcl: Bumped the version number to 5.5;
	  better support for native look & feel, especially on Mac OS X.

	* scripts/tablelistBind.tcl:   Hidden elements are no longer excluded
	* scripts/tablelistConfig.tcl: from the selection; added the
	* scripts/tablelistEdit.tcl:   "cornerpath" and "cornerlabelpath"
	* scripts/tablelistImages.tcl: subcommands; added support for Mac OS X
	* scripts/tablelistThemes.tcl: 10.7 (Lion); improved a few binding
	* scripts/tablelistUtil.tcl:   scripts; fixed a bug related to embedded
	* scripts/tablelistWidget.tcl: windows.

	* doc/tablelist.html:       Updated the documentation.
	* doc/tablelistWidget.html:

	* doc/embeddedWindows.png: Updated screenshot.

2011-09-08  Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt:                 Improved the check for PNG support in Tk.
	* scripts/tablelistWidget.tcl:

2011-09-04  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:                                         Bumped the version
	* *.txt:                                         number to 5.4.
	* ../../examples/tablelist/browse*.tcl:
	* ../../examples/tablelist/bwidget*.tcl:
	* ../../examples/tablelist/config*.tcl:
	* ../../examples/tablelist/dirViewer*.tcl:
	* ../../examples/tablelist/embeddedWindows*.tcl:
	* ../../examples/tablelist/iwidgets*.tcl:
	* ../../examples/tablelist/miscWidgets*.tcl:
	* ../../examples/tablelist/styles*.tcl:
	* ../../examples/tablelist/tileWidgets.tcl:

	* scripts/tablelistBind.tcl:   Added the "-autoscroll" and
	* scripts/tablelistConfig.tcl: "-populatecommand" options; added the
	* scripts/tablelistMove.tcl:   "isexpanded" subcommand; fixed a bug
	* scripts/tablelistWidget.tcl: related to the tree style "aqua"; minor
	  bug fixes.

	* scripts/tablelistImages.tcl: New arrow style "flat9x6"; adapted the
	  tree style "oxygen2" to the look of current KDE 4 versions.

	* scripts/tablelistUtil.tcl: Worked around some peculiarities of Tk on
	  Mac OS X Aqua.

	* scripts/tclIndex: Newly generated.

	* doc/tablelist.html:       Updated the documentation.
	* doc/tablelistWidget.html:

	* doc/config.png:    Updated screenshots.
	* doc/dirViewer.png:
	* doc/oxygen2.png:

	* doc/arrowStyles.png: New picture, composed of screenshots.

2411-07-11  Csaba Nemethi <csaba.nemethi@t-online.de>

	* ../../examples/tablelist/styles_tile.tcl: Minor improvements.

2011-07-10  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:              Bumped the version number to 5.3.1.
	* *.txt:
	* doc/tablelist.html:

	* scripts/tablelistConfig.tcl: Fixed a bug related to the -hide row
	  configuration option, introduced in the previous release.

	* scripts/tablelistThemes.tcl: Extended the support for the native
	* scripts/tablelistWidget.tcl: "Aqua-blue" background for the header
	  label of the sort column to the Cocoa-based Tk patch levels 8.5.9
	  and above.

2011-07-02  Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt:                 New value "photo7x7" for the -arrowstyle
	* scripts/mwutil.tcl:          configuration option; various further
	* scripts/tablelistConfig.tcl: improvements.
	* scripts/tablelistEdit.tcl:
	* scripts/tablelistImages.tcl:
	* scripts/tablelistSort.tcl:
	* scripts/tablelistThemes.tcl:
	* scripts/tablelistUtil.tcl:
	* scripts/tablelistWidget.tcl:

	* scripts/tclIndex: Newly generated.

	* doc/tablelistWidget.html: Updated to reflect the changes.

2011-06-28  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistUtil.tcl:   Solved some refresh problems on Mac OS X
	* scripts/tablelistWidget.tcl: Aqua.

2011-06-27  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistImages.tcl: Further improvements related to Mac OS X
	* scripts/tablelistUtil.tcl:   Aqua.

	* doc/aqua.png: Updated screenshot.

2011-06-26  Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt:                 Improvements related to Mac OS X Aqua.
	* scripts/tablelistConfig.tcl:
	* scripts/tablelistImages.tcl:
	* scripts/tablelistSort.tcl:
	* scripts/tablelistThemes.tcl:
	* scripts/tablelistUtil.tcl:
	* scripts/tablelistWidget.tcl:

	* ../../examples/config.tcl:      Changed some colors.
	* ../../examples/config_tile.tcl:
	* ../../examples/option.tcl:
	* ../../examples/option_tile.tcl:
	* ../../examples/styles.tcl:
	* ../../examples/styles_tile.tcl:

	* doc/tablelist.html: Updated to reflect the changes made in the demo
	  scripts.

	* doc/aqua.png:                 Updated screenshots.
	* doc/browse.png:
	* doc/browseTree.png:
	* doc/bwidget.png:
	* doc/config.png:
	* doc/dirViewer.png:
	* doc/embeddedWindows.png:
	* doc/embeddedWindows_tile.png:
	* doc/styles.png:
	* doc/tileWidgets.png:

2011-06-18  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:                          Bumped the version number to 5.3.
	* *.txt:
	* ../../examples/tablelist/*.tcl:

	* scripts/tablelist*.tcl: Enhanced the interactive row move operation;
	  added the -acceptchildcommand option; added the searchcolumn,
	  getformatted, getformattedcolumns, and getformattedcells subcommands;
	  added support for interactive cell editing with the aid of the Tk
	  core and tile menubutton widgets; added support for the row indices
	  "top" and "bottom" and for the column indices "left" and "right".

	* scripts/tclIndex: Newly generated.

	* doc/index.html:             Updated the documentation.
	* doc/tablelist.html:
	* doc/tablelistBWidget.html:
	* doc/tablelistCombobox.html:
	* doc/tablelistIwidgets.html:
	* doc/tablelistMentry.html:
	* doc/tablelistTile.html:
	* doc/tablelistTkCore.html:
	* doc/tablelistWidget.html:

	* doc/bwidget.png:     Updated screenshots.
	* doc/config.png:
	* doc/tileWidgets.png:

	* doc/bwidget_tile.png: Removed screenshot.

2010-10-16  Csaba Nemethi <csaba.nemethi@t-online.de>

	* COPYRIGHT.txt: Minor corrections.
	* README.txt:

2010-10-15  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:                          Bumped the version number to 5.2.
	* *.txt:
	* ../../examples/tablelist/*.tcl:

	* scripts/tablelist*.tcl: Added the "-fullseparators" option; added the
	  tree styles "ambiance", "dust", "dustSand", "newWave", "plastik", and
	  "radiance"; the implementation of collapse(all) and expand(all) no
	  longer makes use of the -hide row configuration option; the move
	  subcommand now supports moving an item outside its parent; fixed a
	  few bugs related to binding scripts and hidden rows.

	* scripts/tclIndex: Newly generated.

	* doc/tablelist.html:       Updated the documentation.
	* doc/tablelistWidget.html:

	* doc/*.png: New and updated screenshots.

2010-08-20  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistWidget.tcl: Made deleting the whole content of a
	  tablelist widget significantly faster.

2010-08-07  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistBind.tcl: Fixed a tooltip-related bug.

2010-07-03  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistUtil.tcl: Fixed a bug related to the -selecttype cell
	  setting, (re)introduced in Tablelist version 5.0.

2010-06-26  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:                          Bumped the version number to 5.1.
	* *.txt:
	* ../../examples/tablelist/*.tcl:

	* scripts/tablelistBind.tcl:   Fixed a few bugs and typos.
	* scripts/tablelistSort.tcl:
	* scripts/tablelistUtil.tcl:
	* scripts/tablelistWidget.tcl:

	* doc/tablelist.html:       Updated the documentation.
	* doc/tablelistWidget.html:

2010-06-05  Csaba Nemethi <csaba.nemethi@t-online.de>

	* README.txt:         Small corrections.
	* doc/tablelist.html:

2010-06-05  Csaba Nemethi <csaba.nemethi@t-online.de>

	* README.txt:         Slightly extended.
	* doc/tablelist.html:

2010-06-05  Csaba Nemethi <csaba.nemethi@t-online.de>

	* doc/tablelist.html: Corrected a typo.

2010-06-02  Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt:               Fixed a bug related to embedded windows.
	* scripts/tablelistUtil.tcl:

2010-05-22  Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt:              Slightly extended.
	* doc/tablelistWidget.html:

	* scripts/tablelistWidget.tcl: Fixed a bug in the insertlist subcommand.

2010-05-15  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistImages.tcl: Removed tree style "plastik";
	* scripts/tablelistThemes.tcl: added tree style "klearlooks".
	* scripts/tablelistWidget.tcl:

	* scripts/tclIndex: Newly generated.

	* doc/tablelistWidget.html: Updated to reflect the changes.

	* doc/plastik.png: Removed screenshot.

	* doc/klearlooks.png: Added screenshot.

2010-05-09  Csaba Nemethi <csaba.nemethi@t-online.de>

	* doc/tablelistWidget.html: Added two performance-related remarks.

2010-05-08  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl: Bumped the version number to 5.0.
	* *.txt:

	* scripts/*.tcl: Renamed tablelistBitmaps.tcl to tablelistImages.tcl;
	  lots of new features (see CHANGES.txt: What is new in Tablelist 5.0?).

	* scripts/tclIndex: Newly generated.

	* doc/tablelist.html:       Updated to reflect the new features.
	* doc/tablelistThemes.html:
	* doc/tablelistWidget.html:

	* doc/browse.png:               Updated the screenshots.
	* doc/bwidget.png:
	* doc/bwidget_tile.png:
	* doc/config.png:
	* doc/embeddedWindows.png:
	* doc/embeddedWindows_tile.png:
	* doc/styles.png:
	* doc/tileWidgets.png:

	* doc/aqua.png:         Added new screenshots.
	* doc/baghira.png:
	* doc/browseTree.png:
	* doc/dirViewer.png:
	* doc/gtk.png:
	* doc/oxygen1.png:
	* doc/oxygen2.png:
	* doc/phase.png:
	* doc/plastik.png:
	* doc/plastique.png:
	* doc/vistaAero.png:
	* doc/vistaClassic.png:
	* doc/win7Aero.png:
	* doc/win7Classic.png:
	* doc/winnative.png:
	* doc/winxpBlue.png:
	* doc/winxpOlive.png:
	* doc/winxpSilver.png:

	* ../../examples/tablelist/*.tcl: Updated the version number and
	  copyright information.

	* ../../examples/tablelist/browseTree.tcl:      Added new demo scripts.
	* ../../examples/tablelist/browseTree_tile.tcl:
	* ../../examples/tablelist/dirViewer.tcl:
	* ../../examples/tablelist/dirViewer_tile.tcl:

	* ../../examples/tablelist/comp.xbm: Updated the bitmaps.
	* ../../examples/tablelist/leaf.xbm:

	* ../../examples/tablelist/clsdFolder.gif: Added new images.
	* ../../examples/tablelist/file.gif:
	* ../../examples/tablelist/openFolder.gif:

2010-01-30  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistConfig.tcl: Fixed a bug related to the -text column
	  configuration option.

2009-10-24  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistConfig.tcl: Minor improvements related to hidden
	  columns.

2009-10-11  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 4.12.1.
	* COPYRIGHT.txt:

	* scripts/tablelistConfig.tcl: Fixed a bug related to the -labelfont
	  option.

2009-09-12  Csaba Nemethi <csaba.nemethi@t-online.de>

	* doc/tablelist.html: Corrected the version number.

2009-09-08  Csaba Nemethi <csaba.nemethi@t-online.de>

	* tablelistPublic.tcl:       Added support for mentry widgets of type
	* CHANGES.txt:               "IPv6Addr" as edit windows.
	* scripts/tablelistEdit.tcl:
	* doc/tablelistMentry.html:
	* doc/tablelistWidget.html:

	* scripts/tablelistBind.tcl: Minor correction.

	* scripts/tclIndex: Newly generated.

2009-08-30  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistEdit.tcl: Extended the list of supported Wcb
	  options for text widgets used for interactive cell editing.

2009-08-29  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl: Bumped the version number to 4.12.
	* *.txt:

	* scripts/tablelistEdit.tcl:   Added support for interactive cell
	* scripts/tablelistThemes.tcl: editing with the aid of the ttk::spinbox
	* scripts/tablelistUtil.tcl:   widget; added support for the themes
	  "keramik_alt" and "vista"; improved the support for a few themes.

	* scripts/tclIndex: Newly generated.

	* doc/tablelistBWidget.html:  Updated the documentation.
	* doc/tablelistCombobox.html:
	* doc/tablelist.html:
	* doc/tablelistIwidgets.html:
	* doc/tablelistMentry.html:
	* doc/tablelistTile.html:
	* doc/tablelistWidget.html:
	* doc/*.png:

	* ../../examples/tablelist/*.tcl: Appended the version number to
	  "package require tablelist(_tile)".

2009-08-15  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistWidget.tcl: Removed two update-invocations for Mac
	  OS X Aqua that were present to work around a scrolling-related bug in
	  old Mac-Tk versions but turned out to cause problems in newer ones.

2009-07-16  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistBind.tcl:   Added support for the native "Aqua-blue"
	* scripts/tablelistThemes.tcl: background, set for the header label of
	* scripts/tablelistUtil.tcl:   the sort column (for Mac-Tk with Cocoa).
	* scripts/tablelistWidget.tcl:

	* scripts/tclIndex: Newly generated.

2009-06-07  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistBind.tcl: Corrected a typo.

2009-05-29  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistWidget.tcl: Fixed a bug related to the -listvariable
	  option in disabled state.

2009-05-05  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistEdit.tcl: Small correction.

2009-05-03  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistBind.tcl: Improvements in the binding scripts
	* scripts/tablelistEdit.tcl: related to interactive cell editing.

2009-05-02  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 4.11.2.
	* COPYRIGHT.txt:

	* scripts/tablelistBind.tcl: Improvements in the binding scripts
	* scripts/tablelistEdit.tcl: related to interactive cell editing.

2009-04-11  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistEdit.tcl: Fixed a small bug related to interactive
	  cell editing with the aid of a text widget.

	* doc/tablelistWidget.html: Minor correction.

2009-03-28  Csaba Nemethi <csaba.nemethi@t-online.de>

	* tablelistPublic.tcl:         Added the labeltag subcommand and the
	* scripts/mwutil.tcl:          helper command
	* scripts/tablelistBind.tcl    tablelist::getTablelistColumn.
	* scripts/tablelistConfig.tcl:
	* scripts/tablelistUtil.tcl:
	* scripts/tablelistWidget.tcl:

	* scripts/tclIndex: Newly generated.

	* doc/tablelistBinding.html:   Updated to reflect the new features.
	* doc/tablelistWidget.html:

2009-03-14  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 4.11.1.
	* COPYRIGHT.txt:

	* scripts/tablelistBind.tcl: Made sure that <Double-Button-1> works as
	  expected for large lists, too.

	* scripts/tablelistEdit.tcl: Eliminated a small regression introduced
	  in tablelist 4.11.

2009-02-24  Csaba Nemethi <csaba.nemethi@t-online.de>

	* README.txt:                               Minor improvements.
	* ../../examples/tablelist/styles.tcl:
	* ../../examples/tablelist/styles_tile.tcl:

2009-02-23  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:              Bumped the version number to 4.11.
	* *.txt:
	* doc/tablelist.html:

	* scripts/*.tcl:            Added the -columntitles option; added two
	  virtual events related to hidden columns and rows; extended the
	  bindings; added support for Windows Vista; bug-fixes related to the
	  -tooltipdelcommand and -listvariable options and to the item deletion
	  when using Tcl/Tk 8.5.

	* scripts/tclIndex: Newly generated.

	* doc/tablelistWidget.html: Updated to reflect the new features.

	* ../../examples/tablelist/styles.tcl:      Using the new -columntitles
	* ../../examples/tablelist/styles_tile.tcl: option.

2009-01-21  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	*
	* Released and tagged Tklib 0.5 ========================
	* 

2009-01-11  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 4.10.1.
	* COPYRIGHT.txt:

	* scripts/tablelistConfig.tcl: Fixed a bug related to the
	* scripts/tablelistUtil.tcl:   -windowdestroy cell configuration
	  option.

	* scripts/tablelistWidget.tcl: Fixed a nasty bug related to the yview
	  subcommand.

	* doc/tablelist.html:             Changed the recommended package name
	* ../../examples/tablelist/*.tcl: from "Tablelist" to "tablelist".

2008-09-15   Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:              Bumped the version number to 4.10.
	* *.txt:
	* doc/tablelist.html:

	* scripts/tablelistEdit.tcl: Added support for mentry widgets of type
	* doc/tablelistMentry.html:  "DateTime" as edit windows.
	* doc/tablelistWidget.html:

	* scripts/tablelistBind.tcl: Minor improvements.

	* scripts/tablelistUtil.tcl: Made the handling of elided text more
	  robust (fixes a bug reported by Jos Decoster).

	* scripts/tclIndex: Newly generated.

2008-08-17   Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistBind.tcl:   Improvements related to balloon help.
	* scripts/tablelistWidget.tcl:

2008-08-16   Nemethi <csaba.nemethi@t-online.de>

	* scripts/mwutil.tcl:          Added the subcommands hasattrib,
	* scripts/tablelistEdit.tcl:   unsetattrib, columnattrib,
	* scripts/tablelistMove.tcl:   hascolumnattrib, unsetcolumnattrib,
	* scripts/tablelistUtil.tcl:   rowattrib, hasrowattrib, unsetrowattrib,
	* scripts/tablelistWidget.tcl: cellattrib, hascellattrib,
	* doc/tablelistWidget.html:    unsetcellattrib, and editwintag.

	* scripts/tclIndex: Newly generated.

	* doc/tablelist.html: Minor improvement.

2008-08-01   Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistUtil.tcl: Made sure that the body text widget of a
	  disabled tablelist remains covered by the "disabled" tag (fixes a
	  bug reported by Rolf Ade).

2008-06-21  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 4.9.2.
	* COPYRIGHT.txt:

	* scripts/repair.tcl: Updated to work with current Tablelist versions.

	* scripts/tablelistBind.tcl:   Setting up the default bindings at load
	* scripts/tablelistConfig.tcl: time; re-established the support for
	* scripts/tablelistEdit.tcl:   tile widgets as edit windows in non-
	* scripts/tablelistThemes.tcl: tile-based tablelist widgets; adapted
	* scripts/tablelistUtil.tcl:   the handling of the tile checkbutton as
	* scripts/tablelistWidget.tcl: edit window in the xpnative theme to
	* doc/tablelistThemes.html:    some changes made in tile 0.8; guarded
	  against potential widget deletion from within user-defined binding
	  scripts or update (idletasks).

	* scripts/tclIndex: Newly generated.

2008-04-27  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 4.9.1.
	* COPYRIGHT.txt:

2008-04-27  Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt:               Improved the support for cell editing with
	* scripts/tablelistEdit.tcl: a word- or char-wrapped text widget.
	* doc/tablelistTkCore.html:

2008-04-26  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistEdit.tcl: Added supprt for cell editing with a word-
	* doc/tablelistTkCore.html   wrapped text widget when appropriate.

	* scripts/tablelistBind.tcl:   Minor improvements.
	* scripts/tablelistWidget.tcl:

2008-04-22  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistUtil.tcl: Small improvements related to the header
	  labels and separators.

2008-04-21  Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt:               Improved the tablelist widget's appearance
	* scripts/tablelistUtil.tcl: when the header labels are not shown.

2008-04-20  Csaba Nemethi <csaba.nemethi@t-online.de>

	* doc/tablelist.html: Minor correction.

2008-04-20  Csaba Nemethi <csaba.nemethi@t-online.de>

	* doc/styles.png: Updated the screenshot.

	* ../../examples/tablelist/styles_tile.tcl: Minor improvement.

2008-04-20  Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt: Corrected a small typo.

2008-04-15  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistConfig.tcl: Improvements related to multi-line
	* scripts/tablelistUtil.tcl:   elements.

	* scripts/tclIndex: Newly generated.

2008-04-13  Csaba Nemethi <csaba.nemethi@t-online.de>

	* doc/tablelist.html:        Expanded the tabs to spaces.
	* doc/tablelistBinding.html:
	* doc/tablelistThemes.html:
	* doc/tablelistWidget.html:

2008-04-12  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:                          Bumped the version number to 4.9;
	* *.txt:                          updated the Copyright lines; new
	* scripts/*.tcl:                  -wrap column configuration option;
	* doc/tablelist.html:             new -stretchwindow cell configuration
	* doc/tablelistTile.html:         option; changed the default values of
	* doc/tablelistWidget.html:       the -activestyle and -setfocus
	* ../../examples/tablelist/*.tcl: configuration options; improved the
	  cell editing with a combobox widget (proposed by Bryan Oakley);
	  improved the setThemeDefaults command (contributed by Schelte Bron).

	* scripts/tclIndex: Newly generated.

	* doc/*.png: Updated the screenshots.

2007-12-09  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistUtil.tcl: Fixed a bug related to the optimized item
	  insertion; fixed a bug related to the -showlinenumbers column
	  configuration option.

2007-11-22  Andreas Kupries  <andreask@activestate.com>

	* pkgIndex.tcl: Fixed inconsistent version of tablelist_tile, was
	  missed by the 4.8 -> 4.8.1 transition.

2007-11-03  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 4.8.1.
	* COPYRIGHT.txt:

	* scripts/tablelistUtil.tcl: Improved the appearance of the header
	  labels for the aqua theme.

2007-09-10  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistConfig.tcl: Changes related to the new formatinfo
	* scripts/tablelistEdit.tcl:   subcommand.
	* scripts/tablelistMove.tcl:
	* scripts/tablelistSort.tcl:
	* scripts/tablelistUtil.tcl:
	* scripts/tablelistWidget.tcl:
	* doc/tablelistWidget.html:

	* scripts/tclIndex: Newly generated.

2007-08-21  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistConfig.tcl: Eliminated the potential invocation of
	* scripts/tablelistUtil.tcl:   the unknown command from within a catch
	  statement.

	* scripts/tablelistWidget.tcl: Fixed a bug related to the optimized
	  item insertion.

2007-07-20  Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt: Updated.

2007-07-10  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:              Bumped the version number to 4.8.
	* COPYRIGHT.txt:
	* README.txt:
	* doc/tablelist.html:

	* CHANGES.txt: Added the reason for releasing a new version.

	* scripts/tablelistUtil.tcl:   Fixed a few bugs related to the
	* scripts/tablelistWidget.tcl: optimized item insertion, reported by
	  Harold Campbell and Roger Niva.

2007-06-24  Csaba Nemethi <csaba.nemethi@t-online.de>

	* doc/config.png: Updated screenshot.

2007-06-23  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 4.7.
	* COPYRIGHT.txt:
	* README.txt:

	* CHANGES.txt: Listed the new features in version 4.7.

	* scripts/tablelistBind.tcl:   Lots of performance improvements; new
	* scripts/tablelistConfig.tcl: configuration options -tooltipaddcommand
	* scripts/tablelistEdit.tcl:   and -tooltipdelcommand; new subcommands
	* scripts/tablelistMove.tcl:   iselemsnipped, istitlesnipped,
	* scripts/tablelistSort.tcl:   configcolumnlist, configcolumns,
	* scripts/tablelistUtil.tcl:   configrowlist, configrows,
	* scripts/tablelistWidget.tcl: configcelllist, and configcells; worked
	  around some performance problems regarding the switch command in Tcl
	  8.5a6/8.5b1 and ActiveTcl 8.4.14; made sure that the style::as
	  package won't break the mousewheel bindings.

	* scripts/tclIndex: Newly generated.

	* doc/tablelist.html:         Updates and improvements.
	* doc/tablelistIwidgets.html:
	* doc/tablelistThemes.html:
	* doc/tablelistTile.html:
	* doc/tablelistWidget.html:

2007-05-23  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistEdit.tcl: Corrections related to Tk 8.5a6.

2007-03-26  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistUtil.tcl: Fixed a bug reported by Kai Morich,
	  related to the -snipside option.

2007-03-23  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 4.6.1.
	* COPYRIGHT.txt:

	* scripts/tablelistBind.tcl: Improved the focus handling when resizing
	  a column interactively (bug reported by Jorge Enderr).

	* scripts/tablelistUtil.tcl: Fixed a bug reported by Harold Campbell,
	  related to hidden rows when having -selecttype cell; fixed a bug in
	  the cellconfigure subcommand, reported by Roy Terry.

	* scripts/tablelistWidget.tcl: Corrected a typo in the adaptation of
	  vertical scrolling to the text widget changes made in Tk 8.5 (bug
	  reported by Julian M Noble).

2007-02-01  Csaba Nemethi <csaba.nemethi@t-online.de>

	* doc/tablelistTile.html: Minor improvement.

2007-01-31  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistWidget.tcl: Minor improvements.

2007-01-29  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistBind.tcl:   Minor improvements.
	* scripts/tablelistConfig.tcl:
	* scripts/tablelistUtil.tcl:

2007-01-21  Csaba Nemethi <csaba.nemethi@t-online.de>

	* tablelist.tcl:      Minor improvements.
	* tablelist_tile.tcl:

2007-01-20  Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt: Minor improvements.

	* tablelist_tile.tcl:          Moved some further alias definitions to
	* scripts/tablelistConfig.tcl: tablelist_tile.tcl.

2007-01-12  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistUtil.tcl: New procedure tablelist::getSepX.

	* scripts/tclIndex: Newly generated.

2007-01-07  Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt:                 Implemented the -changesnipside column
	* scripts/tablelistConfig.tcl: configuration option.
	* scripts/tablelistSort.tcl:
	* scripts/tablelistUtil.tcl:
	* scripts/tablelistWidget.tcl:
	* doc/tablelistWidget.html:

2007-01-01  Csaba Nemethi <csaba.nemethi@t-online.de>

	* tablelist_tile.tcl:          Moved some alias definitions to
	* scripts/tablelistConfig.tcl: tablelist_tile.tcl.

2007-01-01  Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt:        Minor improvements.
	* scripts/repair.tcl:
	* doc/tablelist.html:

2006-12-28  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:                          Support for tile 0.8 and Tk 8.5b1
	* *.txt:                          (where tile is integrated in the
	* scripts/*.tcl:                  core); updated the Copyright lines.
	* doc/index.html:
	* doc/tablelist.html:
	* doc/tablelistThemes.html:
	* doc/tablelistTile.html:
	* doc/tablelistWidget.html:
	* ../../examples/tablelist/*.tcl:

	* scripts/tclIndex: Newly generated.

	* doc/tablelistThemeDefs.html: Renamed to tablelistThemes.html.

2006-12-17  Csaba Nemethi <csaba.nemethi@t-online.de>

    	* scripts/tablelistConfig.tcl: Eliminated some annoying visual effects
	* scripts/tablelistUtil.tcl:   caused by hidden columns when displaying
	* scripts/tablelistWidget.tcl: the items of an already visible
	* CHANGES.txt:                 tablelist widget (reported by Rolf Ade).

2006-12-05  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistBind.tcl: Small correction in the procedure
	  tablelist::labelB1Up.

2006-12-03  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistEdit.tcl:   Corrected the use of the -padx and -pady
	* scripts/tablelistConfig.tcl: options for frame widgets (these options
	* scripts/tablelistUtil.tcl:   were not available for frame widgets in
	* scripts/tablelistWidget.tcl: Tk versions < 8.4).

2006-12-01  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:              Bumped the version number to 4.6.
	* COPYRIGHT.txt:
	* README.txt:
	* doc/tablelist.html:

	* CHANGES.txt: Listed the new features of version 4.6.

	* scripts/tablelistBind.tcl: Support for the new virtual event
	  <<TablelistColumnResized>>.

	* scripts/tablelistConfig.tcl: Improved the handling of embedded images
	* scripts/tablelistUtil.tcl:   and windows.

	* scripts/tablelistEdit.tcl: Embedded images and windows are no longer
	  hidden during interactive cell editing.

	* scripts/tablelistWidget.tcl: New columnwidth subcommand; adapted the
	  vertical scrolling to the text widget changes made in Tk 8.5; bug-
	  fixes related to hidden rows (reported by Matthew Callaghan) and the
	  seecell subcommand (reported by Erik Allaert and Mauro Comin).

	* scripts/mwutil.tcl: Improved the key navigation vith <Tab> and
	  <Shift-Tab>.

	* scripts/tclIndex: Newly generated.

	* doc/tablelistWidget.html: Updated to describe the columnwidth
	  subcommand and the virtual event <<TablelistColumnResized>>.

2006-09-14  Csaba Nemethi <csaba.nemethi@t-online.de>

	* README.txt:         Corrected the version number (it was still 4.4).
	* doc/tablelist.html:

2006-09-08  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistEdit.tcl: Bug-fix in tablelist::editcellSubCmd.

2006-09-08  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl: Bumped the version number to 4.5.
	* *.txt:

	* CHANGES.txt: Listed the new features in version 4.5.

	* scripts/tablelistBind.tcl:   Miscellaneous improvements.
	* scripts/tablelistConfig.tcl:
	* scripts/tablelistEdit.tcl:

	* scripts/tablelistMove.tcl:   Quite significantly increased the
	* scripts/tablelistSort.tcl:   performance when moving, sorting,
	* scripts/tablelistUtil.tcl:   redisplaying, or deleting tablelist
	* scripts/tablelistWidget.tcl: items.

	* scripts/tclIndex: Newly generated.

2006-08-20  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistUtil.tcl: Improved the procedure
	  tablelist::updateMlCell.

2006-08-15  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistBind.tcl:   Implemented the -showlinenumbers column
	* scripts/tablelistConfig.tcl: configuration option.
	* scripts/tablelistMove.tcl:
	* scripts/tablelistSort.tcl:
	* scripts/tablelistUtil.tcl:
	* scripts/tablelistWidget.tcl:

	* scripts/tablelistUtil.tcl: Rewritten the procedure
	  tablelist::strRange; eliminated the procedure tablelist::strRangeExt.

	* scripts/tclIndex: Newly generated.

	* doc/tablelistColSort.html: Updated to describe the -showlinenumbers
	* doc/tablelistWidget.html:  column configuration option.

2006-08-04  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistWidget.tcl: Improvements in tablelist::scanSubCmd.

2006-07-31  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistUtil.tcl: Correction in tablelist::adjustColumns.

2006-07-28  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistBind.tcl: Fixed a bug reported by Mark Garvey.
	* scripts/tablelistEdit.tcl:

	* scripts/tablelistUtil.tcl: Performance tuning in the procedures
	  tablelist::adjustColumns and tablelist::strRange.

	* scripts/tclIndex: Newly generated.

2006-07-13  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistBind.tcl: Further improvements in the handling of
	  the <<ThemeChanged>> virtual event.

2006-07-11  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistBind.tcl: Fixed a bug reported by Kurt Kurczyk;
	  improved the handling of the <<ThemeChanged>> virtual event.

	* scripts/tablelistConfig.tcl: Improved the handling of the
	* scripts/tablelistWidget.tcl: <<ThemeChanged>> virtual event.

	* scripts/tablelistEdit.tcl: Support for tile-based multi-entry
	  widgets used as edit windows; required tile version 0.6 or higher.

	* scripts/tablelistUtil.tcl: Bug-fix in tablelist::adjustColumns.

	* scripts/mwutil.tcl: Improved a few invocations of eval.

	* doc/tablelist.html:       Updated to reflect the support for the
	* doc/tablelistMentry.html: Mentry_tile package.
	* doc/tablelistWidget.html:

	* doc/tablelistTile.html: Updated to reflect the change that the tile
	  version must be 0.6 or higher.

2006-06-19  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistWidget.tcl: Fixed a bug in tablelist::deleteCols,
	  reported by Kai Morich.

	* ../../examples/tablelist/*tile*.tcl: Removed the "-padding -2" option
	* doc/tablelist.html:                  for the ttk::frame base widget,
	  because it is no longer needed in newer tile versions.

2006-06-17  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistThemes.tcl: Improvements related to the
	* scripts/tablelistConfig.tcl: setThemeDefaults subcommand.
	* scripts/tablelistBind.tcl:

	* doc/tablelist.html:          Minor improvements.
	* doc/tablelistThemeDefs.html:

2006-06-16  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistBind.tcl: Further improvements related to the
	* scripts/tablelistUtil.tcl: tablelist::parseLabelPath procedure.

2006-06-15  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 4.4.1.
	* COPYRIGHT.txt:

	* tablelistPublic.tcl:         Moved the tablelist::restoreUsingTile
	* scripts/tablelistWidget.tcl: procedure from tablelistWidget.tcl to
	  tablelistPublic.tcl.

	* scripts/tablelistBind.tcl:   Corrected two typos reported by 
	* scripts/tablelistThemes.tcl: Patrick Fradin.

	* scripts/tablelistBind.tcl: Moved the tablelist::parseLabelPath
	* scripts/tablelistUtil.tcl: procedure from tablelistBind.tcl to
	  tablelistUtil.tcl and improved it to work around a binding-related
	  problem reported by Patrick Fradin.  In addition, replaced two regexp
	  occurrences in tablelistUtil.tcl with invocations of parseLabelPath.

	* scripts/tablelistConfig.tcl: Changed the windowing system- and
	* scripts/tablelistBind.tcl:   theme-specific default value of the
	* doc/tablelistWidget.html:    -arrowdisabledcolor option.

	* scripts/tablelistEdit.tcl: Modified the padding for tile entries in
	  the tileqt theme.

	* scripts/tclIndex: Newly generated.

2006-06-08  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	* tablelist.tcl:       A bit more shuffling of code, reducing
	* tablelist_tile.tcl:  the variant setup even further. Now only
	* tablelistPublic.tcl: the usingTile flag is set within them.

	* pkgIndex.tcl:        Modified the package index to be simpler
	* tablelist.tcl:       and express the relationships clearly.
	* tablelist_tile.tcl:  Tablelist(_tile) are now aliases of
	* tablelistPublic.tcl: tablelist(_tile). The common code now
	  has its own package name, tablelist::common, is the only one
	  which has to handle [info script] and $dir, and is not 'source'd
	  anymore, but loaded via 'package require'. The code for [info
	  script] is much simpler and moved into the 'ifneeded' script,
	  avoiding the pollution of the namespaces just by reading the
	  package index, as it happened before.

2006-06-03  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/mwutil.tcl:          Renamed two mwutil commands, in order
	* scripts/tablelistWidget.tcl: to avoid conflicts when using the
	* scripts/tclIndex:            Mentry package.

	* doc/tablelist.html:                       Updated a few option
	* doc/tablelistThemeDefs.html:	            database settings.
	* ../../examples/tablelist/option_tile.tcl:

2006-05-30  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl: Bumped the version number to 4.4.
	* *.txt:

	* scripts/*.tcl: Added support for hidden rows; new command
	  tablelist::setThemeDefaults; lots of optimizations, code
	  improvements, minor bug fixes, and support for recent changes in
	  TileQt.

	* scripts/tclIndex: Newly generated.

	* doc/*.html: Added the descriptions of the new features in version
	  4.4.

	* doc/tablelistThemeDefs.html: New reference page, describing the
	  command tablelist::setThemeDefaults.

	* doc/*.png: Updated a few screenshots.

	* ../../examples/tablelist/*.tcl: Added the use of the -spacing option
	  and of the tablelist::setThemeDefaults command.

2006-04-21  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistSort.tcl: update idletasks no longer invoked during
	* scripts/tablelistUtil.tcl: redisplay (fixes a bug reported by Dave
	  Leslie).

2006-04-11  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistBind.tcl: Minor improvement in labelB1Up proc.

2006-02-22  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistWidget.tcl: Minor corrections.

2006-02-10  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 4.3.1.
	* COPYRIGHT.txt:

	* scripts/tablelistBind.tcl:   Improved the handling of the virtual
	* scripts/tablelistConfig.tcl: event <<ThemeChanged>> (fixes a bug
	* scripts/tablelistWidget.tcl: reported by Wolfgang Großer).

2006-02-09  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tabelistMove.tcl: Corrected a typo in the implementation
	  of the move subcommand (fixes a bug reported by Jérome Siot).

2006-02-05  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistBind.tcl: Improved cleanup proc to handle the case
	  that the listvariable no longer exists (fixes a bug reported by Rolf
	  Ade).

2006-01-19  Csaba Nemethi <csaba.nemethi@t-online.de>

	* CHANGES.txt:                 Corrected a few typos.
	* scripts/tablelistWidget.tcl:

	* doc/tablelist.html:       Minor improvements.
	* doc/tablelistWidget.html:

	* ../../examples/tablelist/option.tcl:      Added the labelCommand2
	* ../../examples/tablelist/option_tile.tcl: option.

2006-01-15  Csaba Nemethi <csaba.nemethi@t-online.de>

	* doc/tileWidgets.png: Screenshot updated, to reflect the fact that
	  tile bug #1399182 (related to the combobox appearance) has been
	  fixed.

2006-01-14  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl: Bumped the version number to 4.3.
	* *.txt:

	* CHANGES.txt: Listed the new features in version 4.3.

	* scripts/*.tcl: Added support for multi-line cells and multi-column
	  sorting; new configuration option -setfocus; numerous improvements,
	  minor bug fixes, and support for several recent changes in tile.

	* scripts/tablelistBitmaps.tcl: New script file, replacing the
	  contents of the images directory.

	* images/: Replaced the contents of this directory with the new file
	  scripts/tablelistBitmaps.tcl.

	* doc/*.html: Added the descriptions of the new features in version
	  4.3, and cleaned up the files with HTML Tidy.

	* doc/tablelistSortByColumn.html: Renamed tablelistSortByColumn.html
	* doc/tablelistColSort.html:      to tablelistColSort.html, because
	  this file now contains the description of the new addToSortColumns
	  subcommand, too.

	* doc/*.png: Updated a few screenshots.

	* ../../examples/tablelist/*.tcl: Minor updates and improvements.

2005-12-01  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistConfig.tcl: Corrected some typos.

2005-11-27  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistEdit.tcl: Fixed a bug related to the use of
	  a tile entry within a non-tile-based tablelist widget on
	  Windows XP, reported by Schelte Bron.

2005-11-19  Csaba Nemethi <csaba.nemethi@t-online.de>

	* *.tcl:         Bumped the version number to 4.2.1.
	* COPYRIGHT.txt:

	* scripts/tablelistWidget.tcl: Improved the handling of the
	* scripts/tablelistConfig.tcl: -activestyle option.

	* scripts/tablelistUtil.tcl: Made sure that the sort arrow is
	  unmanaged if its column becomes elided through horizontal
	  scrolling.

2005-11-13  Csaba Nemethi <csaba.nemethi@t-online.de>

	* scripts/tablelistEdit.tcl: Added support for the Command key
	  during keyboard navigation between the editable cells on the
	  Macintosh.

	* scripts/tablelistUtil.tcl: Fixed a bug related to embedding
	  images or windows into hidden cells, reported by Sebastien
	  Barre.

	* scripts/tablelistConfig.tcl: Fixed a bug related to insertion
	  and deletion of columns having images in their labels,
	  reported by Sebastien Barre.

	* doc/tablelistWidget.html: Added the description of the
	  support for the Command key on the Macintosh.

	* CHANGES.txt: Added the descriptions of the above changes.

2005-11-10  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	*
	* Released and tagged Tklib 0.4.1 ========================
	* 

2005-11-10  Andreas Kupries <andreask@activestate.com>

	* pkgIndex.tcl (::tablelist::Load): Fixed bugs in my hack of
	  pkgIndex.tcl, reported by Csaba. The loaded code is scope
	  sensitive, pcausing the move into the proc to estblish the
	  commands in the wrong namespace. Applied fix by Csaba.

2005-11-02  Andreas Kupries  <andreas_kupries@users.sourceforge.net>

	*
	* Released and tagged Tklib 0.4 ========================
	* 

2005-11-02  Andreas Kupries <andreask@activestate.com>

	* Hack: Replaced access to $tableist::version with hardwired
	  version numbers until I figure out how to make this properly
	  accessible to sak.tcl's code scanner. Needed to have tablelist
	  in the generated .tap file.

2005-10-24  Andreas Kupries <andreask@activestate.com>

	* pkgIndex.tcl: Reorganized things a bit. Procedures to remove
	  quoting issues and make code more readable. Unrolled the loops
	  to make code accessible to extraction of name/version
	  information by sak tool.

2005-10-23 Csaba Nemethi <csaba.nemethi@t-online.de>

	* Unknown changes -- This entry is a placeholder
	  Please, always update the ChangeLog before a commit !!

2005-10-05  Andreas Kupries <andreask@activestate.com>

	* doc/tablelist.html: Applied changes made by Csaba reflecting the
	* README.txt:         fact that tablelist is now in tklib, and
	  that the demos are in a different location.

	* ../../examples/tablelist/: Applied changes made by Csaba
	  reflecting the changed location of the demos in the scripts
	  themselves.

2005-10-03  Andreas Kupries <andreask@activestate.com>

	* Added tablelist to tklib, moved demos to canonical location for
	  examples of tklib modules.
